::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ------------------------------------------------------------------- 
REM INSPECT Command Usage
REM ------------------------------------------------------------------- 

TITLE Instance06.CMD - INSPECT Command Usage

@echo off
cls

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Executed by: %USERNAME%  %DATE% Machine: %COMPUTERNAME% ON %OS%
ECHO ---------------------------------------------------------------------
ECHO.

SET OUTFILE=%~n0_OUTPUT.TXT

del "C:\Documents and Settings\All Users\Application Data\IBM\DB2\DB2COPY1\DB2\Instance06.DAT" /s/q/f > NUL 2>&1
del %OUTFILE% > NUL 2>&1
set db2instance=db2


:: Inspect the entire sample database 

DB2 CONNECT TO SAMPLE

DB2 INSPECT CHECK DATABASE RESULTS KEEP Instance06.DAT

db2inspf "C:\Documents and Settings\All Users\Application Data\IBM\DB2\DB2COPY1\DB2\Instance06.DAT" Instance06_OUTPUT.TXT 

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Note: The heart of this script is the INSPECT AND DB2INSPF usage
ECHO       Review %OUTFILE% for output for details
ECHO.
ECHO       The INSPECT and its output formatting tool DB2INSPF are used to 
ECHO       check architectual integrity of the database.  But it can also
ECHO       do things like estimate row compression savings on a table.
ECHO ---------------------------------------------------------------------
ECHO.

@echo on