-- ------------------------------------------------------------------- 
-- Database Lab 02 - Create Database BACKDB in Instance DB2BKP
-- ------------------------------------------------------------------- 
 
CREATE DATABASE BACKDB
AUTOMATIC STORAGE YES
ON 'C:' 
ALIAS 	BACKDB
USING 	CODESET IBM-1252 
TERRITORY US 
COLLATE USING SYSTEM 
WITH 'Backup DB in Backup Instance'
@


CONNECT TO BACKDB
@

-- ------------------------------------------------------------------- 
-- Database Lab 02 - Create a bufferpool in database BACKDB
-- ------------------------------------------------------------------- 

CREATE BUFFERPOOL BACK_BP32 
IMMEDIATE  
SIZE 		200 
PAGESIZE 	32 K  
@


-- ------------------------------------------------------------------- 
-- Database Lab 02 - Create a table space using automatic storage 
--                   in database BACKDB
-- ------------------------------------------------------------------- 

CREATE  	TABLESPACE BACK_TS32 
PAGESIZE 	32 K  
EXTENTSIZE 	16 
OVERHEAD 	10.5 
PREFETCHSIZE 	16 
TRANSFERRATE 	0.14 
BUFFERPOOL  	BACK_BP32  
DROPPED TABLE 	RECOVERY ON
@

COMMENT ON TABLESPACE BACK_TS32 IS 'Automatic Storage Created 32K Table Space'
@
