::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ------------------------------------------------------------------- 
REM Database Lab 02 - Use Event Monitoring                                
REM ------------------------------------------------------------------- 
REM 

TITLE Database05.CMD - Event Monitoring

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls

@ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% 

@echo * =============================================================== *
@echo * Connect to SAMPLE database
@echo * =============================================================== * 

db2 terminate
db2 connect to sample


@echo * =============================================================== *
@echo * Create a database and statements event monitor
@echo * =============================================================== * 

db2 create event monitor PoTORAmon for database, statements write to file 'C:\POT_DB2\02DATABASE'


@echo * =============================================================== *
@echo * Start the monitor, perform SQL, then stop and drop the monitor
@echo * =============================================================== * 

db2 set event monitor PoTORAmon STATE=1

db2 select * from department

db2 set event monitor PoTORAmon STATE=0

db2 drop event monitor PoTORAmon


@echo * =============================================================== *
@echo * Format the event monitor output
@echo * =============================================================== * 

db2evmon -path C:\POT_DB2\02DATABASE > %OUTFILE%

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Please review file %OUTFILE% to see output from the Event Monitor
ECHO ---------------------------------------------------------------------
ECHO.

 
@echo on