-- --------------------------------------------------------------------- 
-- Describe the table before the alter
-- ---------------------------------------------------------------------

describe table schema_change_tb;


-- --------------------------------------------------------------------- 
-- Rename a column
-- ---------------------------------------------------------------------

alter 	table schema_change_tb 
	rename column salary to salary_amount;


-- --------------------------------------------------------------------- 
-- Change a column data type
-- ---------------------------------------------------------------------

alter 	table schema_change_tb 
	alter column dept 
	set data type char(10);


-- --------------------------------------------------------------------- 
-- drop a column
-- ---------------------------------------------------------------------

alter 	table schema_change_tb 
	drop column ssn;


-- --------------------------------------------------------------------- 
-- REORG the table
-- ---------------------------------------------------------------------

reorg table schema_change_tb;


-- --------------------------------------------------------------------- 
-- Describe the newly altered table
-- ---------------------------------------------------------------------

describe table schema_change_tb;


-- --------------------------------------------------------------------- 
-- Check to see that everything works
-- --------------------------------------------------------------------- 

SELECT * FROM schema_change_tb
	 FETCH FIRST 20 ROWS ONLY;




