REM Oracle script example 
REM Invoked by CLPPLUS to simulate SQL*PLUS
REM Uses Oracle syntax including select from a dictionary view
REM ----------------------------------------------------------

set feedback    off;
set flush       off;
set echo 	off;
set verify      off;
set linesize   	250;
set pagesize   	45;
set headsep    '!'
set newpage    	1;


column TABLESPACE_NAME          format a20	     heading 'Table Space!Name'
column CONTENTS                 format a9	     heading 'Contents!'
column LOGGING                  format a10	     heading 'Logging!'
column SEGMENT_SPACE_MANAGEMENT format a10	     heading 'Space!Mgmt'
column STATUS                   format a9	     heading 'Status!'
column INITIAL_EXTENT           format 9,999,999,999 heading 'Initial!Extent' 
column NEXT_EXTENT              format 9,999,999,999 heading 'Next!Extent' 
column MIN_EXTENTS              format 9,999,999,999 heading 'Min.!Extent' 
column MIN_EXTLEN               format 9,999,999     heading 'Min. Ext!Length'


spool CLPPlus02_OUTPUT_REPORT.TXT;

SELECT 	 TABLESPACE_NAME,
 	 CONTENTS,
 	 LOGGING,
 	 SEGMENT_SPACE_MANAGEMENT,
	 STATUS,
 	 INITIAL_EXTENT,
 	 NEXT_EXTENT,
 	 MIN_EXTENTS,
 	 MIN_EXTLEN
FROM  	 DBA_TABLESPACES
ORDER BY TABLESPACE_NAME;

spool off;

exit; 

