REM Oracle script example with input variables
REM --------------------------------------------------------------------------

set termout	on;
set echo 	off;
set linesize   	250;
set pagesize   	45;
set headsep    '!'
set newpage    	1;

column OWNER                        heading 'Owner!'           format a8
column TABLE_NAME                   heading 'Table!Name'       format a30
column TABLESPACE_NAME              heading 'Table Space!Name' format a15
column LOGGING                      heading 'log-!ging'        format a5 
column NUM_ROWS                     heading 'Number!Of Rows'   format 999,999 

accept OWNER_NAME_STRING
accept TABLE_SEARCH_STRING

define OWNER_NAME_STRING
define TABLE_SEARCH_STRING

spool CLPPlus04_OUTPUT_REPORT.TXT;

SELECT 	 OWNER,
 	 TABLE_NAME,
 	 TABLESPACE_NAME,
	 LOGGING,
	 NUM_ROWS
FROM	 ALL_TABLES
WHERE	 (owner like UPPER('%&OWNER_NAME_STRING%') and  
	 table_name like UPPER('%&TABLE_SEARCH_STRING%') )
ORDER BY OWNER, TABLE_NAME;

set termout off;

exit;


