::  DB2 9.7 Admin for the Oracle DBA
::  Copyright(r) IBM Corporation
::
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ----------------------------------------------------------------------
REM Migrate an Oracle Database Schema to DB2 using the CLP
REM ----------------------------------------------------------------------

TITLE CLPPlus20.CMD - Migrate an Oracle schema to DB2

SET OUTFILE=%~n0_OUTPUT.RPT

@echo off
cls

ECHO ---------------------------------------------------------------------
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME%
ECHO ---------------------------------------------------------------------

SET DB2INSTANCE=DB2

DB2 CONNECT TO SAMPLE user db2user1 using db2user1

DB2 update db cfg using auto_reval deferred_force

DB2 SET SQLCOMPAT PLSQL

ECHO --------------------------------------------------------------------- 	>> %OUTFILE%	
ECHO Migrate an Oracle DB schema to DB2						>> %OUTFILE%
ECHO ---------------------------------------------------------------------	>> %OUTFILE%
ECHO.                                                         			>> %OUTFILE%

ECHO ---------------------------------------------------------------------
ECHO Migrate an Oracle DB schema to DB2					
ECHO ---------------------------------------------------------------------
ECHO.

DB2 -td; -vf OracleDB_01_Tables.sql 		-l  %OUTFILE%
DB2 -td; -vf OracleDB_02_PrimaryKeys.sql 	-l  %OUTFILE%
DB2 -td; -vf OracleDB_03_Tables_InsertData.sql 	-l  %OUTFILE%
DB2 -td; -vf OracleDB_04_Checkconstraints.sql 	-l  %OUTFILE%
DB2 -td; -vf OracleDB_05_ForeignKeys.sql 	-l  %OUTFILE%
DB2 -td; -vf OracleDB_06_Indexes.sql 		-l  %OUTFILE%
DB2 -td; -vf OracleDB_07_Sequences.sql 		-l  %OUTFILE%
DB2 -td; -vf OracleDB_08_Views.sql 		-l  %OUTFILE%
DB2 -td; -vf OracleDB_09_Triggers.sql 		-l  %OUTFILE%
DB2 -td; -vf OracleDB_10_Functions.sql 		-l  %OUTFILE%
DB2 -td; -vf OracleDB_11_Procedures.sql 	-l  %OUTFILE%
DB2 -td; -vf OracleDB_12_Packages.sql 		-l  %OUTFILE%
DB2 -td; -vf OracleDB_13_Package_Bodies.sql 	-l  %OUTFILE%


ECHO.

DB2 SET SQLCOMPAT DB2

ECHO ---------------------------------------------------------------------
ECHO Note: review %OUTFILE% file 
ECHO ---------------------------------------------------------------------
ECHO.