-- 
-- Oracle Schema:  CREATE TABLES
--

CREATE TABLE "CALL_STACKS" 
    (
    "MODULE"        VARCHAR2(50) NOT NULL,
    "SEQ_NUMBER"    NUMBER NOT NULL,
    "CALL_ORDER"    NUMBER NOT NULL,
    "OBJECT_HANDLE" VARCHAR2(10),
    "LINE_NUM"      NUMBER,
    "OBJECT_NAME"   VARCHAR2(80)
    ) 
;

CREATE TABLE "CLASSES" 
    (
    "DEPARTMENT"       CHAR(3) NOT NULL,
    "COURSE"           NUMBER(3, 0) NOT NULL,
    "DESCRIPTION"      VARCHAR2(2000),
    "MAX_STUDENTS"     NUMBER(3, 0),
    "CURRENT_STUDENTS" NUMBER(3, 0),
    "NUM_CREDITS"      NUMBER(1, 0),
    "ROOM_ID"          NUMBER(5, 0)
    )   
;

CREATE TABLE "DEBUG_TABLE" 
    (
    "LINECOUNT" NUMBER,
    "DEBUG_STR" VARCHAR2(100)
    )   
;

CREATE TABLE "DESTINATION" 
    (
    "KEY"   NUMBER(5, 0),
    "VALUE" NUMBER
    )  
;

CREATE TABLE "ERRORS" 
    (
    "MODULE"       VARCHAR2(50) NOT NULL,
    "SEQ_NUMBER"   NUMBER NOT NULL,
    "ERROR_NUMBER" NUMBER,
    "ERROR_MESG"   VARCHAR2(100),
    "ERROR_STACK"  VARCHAR2(2000),
    "CALL_STACK"   VARCHAR2(2000),
    "TIMESTAMP"    DATE
    )  
;

CREATE TABLE "ERROR_STACKS" 
    (
    "MODULE"       VARCHAR2(50) NOT NULL,
    "SEQ_NUMBER"   NUMBER NOT NULL,
    "ERROR_ORDER"  NUMBER NOT NULL,
    "FACILITY"     CHAR(3),
    "ERROR_NUMBER" NUMBER(5, 0),
    "ERROR_MESG"   VARCHAR2(100)
    )  
;

CREATE TABLE "EXCEPTION_TABLE" 
    (
    "EXCEPTION_COL" VARCHAR2(20),
    "DATE_OCCURRED" DATE
    )  
;

CREATE TABLE "LOG_TABLE" 
    (
    "CODE"    NUMBER,
    "MESSAGE" VARCHAR2(200),
    "INFO"    VARCHAR2(100)
    )  
;

CREATE TABLE "MAJOR_STATS" 
    (
    "MAJOR"          VARCHAR2(30),
    "TOTAL_CREDITS"  NUMBER,
    "TOTAL_STUDENTS" NUMBER
    )  
;

CREATE TABLE "REGISTERED_STUDENTS" 
    (
    "STUDENT_ID" NUMBER(5, 0) NOT NULL,
    "DEPARTMENT" CHAR(3) NOT NULL,
    "COURSE"     NUMBER(3, 0) NOT NULL,
    "GRADE"      CHAR(1)
    )  
;

CREATE TABLE "ROOMS" 
    (
    "ROOM_ID"      NUMBER(5, 0) NOT NULL,
    "BUILDING"     VARCHAR2(15),
    "ROOM_NUMBER"  NUMBER(4, 0),
    "NUMBER_SEATS" NUMBER(4, 0),
    "DESCRIPTION"  VARCHAR2(50)
    )  
;

CREATE TABLE "RS_AUDIT" 
    (
    "CHANGE_TYPE"    CHAR(1) NOT NULL,
    "CHANGED_BY"     VARCHAR2(8) NOT NULL,
    "TIMESTAMP"      DATE NOT NULL,
    "OLD_STUDENT_ID" NUMBER(5, 0),
    "OLD_DEPARTMENT" CHAR(3),
    "OLD_COURSE"     NUMBER(3, 0),
    "OLD_GRADE"      CHAR(1),
    "NEW_STUDENT_ID" NUMBER(5, 0),
    "NEW_DEPARTMENT" CHAR(3),
    "NEW_COURSE"     NUMBER(3, 0),
    "NEW_GRADE"      CHAR(1)
    )  
;

CREATE TABLE "SOURCE" 
    (
    "KEY"   NUMBER(5, 0),
    "VALUE" VARCHAR2(50)
    )  
;

CREATE TABLE "STUDENTS" 
    (
    "ID"              NUMBER(5, 0) NOT NULL,
    "FIRST_NAME"      VARCHAR2(20),
    "LAST_NAME"       VARCHAR2(20),
    "MAJOR"           VARCHAR2(30),
    "CURRENT_CREDITS" NUMBER(3, 0)
    )  
;

CREATE TABLE "TEMP_TABLE" 
    (
    "NUM_COL"  NUMBER,
    "CHAR_COL" VARCHAR2(2000)
    )  
;

