::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ---------------------------------------------------------------------- 
REM Autonomic Lab Setup                                              
REM ---------------------------------------------------------------------- 

TITLE Autonom01.CMD - Autonomic Lab Setup

SET OUTFILE=%~n0_OUTPUT.TXT

ECHO off
cls

ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% > %OUTFILE%
ECHO.


ECHO ---------------------------------------------------------------------
ECHO Creating an AUTONMDB database to work with.
ECHO.
ECHO Please wait while this is being created...
ECHO ---------------------------------------------------------------------
ECHO.

db2 terminate
set db2instance=db2
db2 get instance
db2stop force
db2set db2_compatibility_vector=
db2set DB2_SQLROUTINE_PREPOPTS=
db2start

db2 DROP DATABASE AUTONMDB

db2 -td; -f Autonom02.DB2 	>> %OUTFILE%

ECHO ---------------------------------------------------------------------
ECHO Self Tuning Memory Management (STMM) Lab SETUP
ECHO.
ECHO Creating STMM_BUFFERPOOL, STMM_TABLESPACE AND STMM_TABLE, please wait...
ECHO ---------------------------------------------------------------------
ECHO.

db2 terminate
db2 connect to autonmdb 	>> %OUTFILE%

db2 -td; -f Autonom03.DB2 	>> %OUTFILE%


ECHO.
ECHO ---------------------------------------------------------------------
ECHO This script created the following:  
ECHO   Database:    AUTONMDB  
ECHO   Table:       STMM_TABLE
ECHO   Table space: STMM_TABLESPACE
ECHO   Buffer Pool: STMM_BUFFERPOOL
ECHO ---------------------------------------------------------------------
ECHO.
