-- --------------------------------------
-- Autonom lab 05 - Automaint table setup
-- --------------------------------------

--------------------------------
-- CREATE BUFFERPOOLS 	      --
--------------------------------

ECHO -;
ECHO -------------------------;
ECHO Creating Buffer Pools... ;
ECHO -------------------------;


CREATE BUFFERPOOL AUTO_BP4_DATA
IMMEDIATE  
SIZE 2000 
PAGESIZE 4 K;

CREATE BUFFERPOOL AUTO_BP4_INDEX
IMMEDIATE  
SIZE 2000 
PAGESIZE 4 K;

--------------------------------
-- CREATE DMS TABLESPACES     --
--------------------------------
ECHO -;
ECHO -------------------------;
ECHO Creating Tablespaces...;
ECHO -------------------------;

DROP TABLE AUTOMAINT_TAB1;
DROP TABLE AUTOMAINT_TAB2;
DROP TABLE AUTOMAINT_TAB3;
DROP TABLE AUTOMAINT_TAB4;

DROP TABLESPACE AUTOMAINT_TAB1_DAT;
DROP TABLESPACE AUTOMAINT_TAB2_DAT;
DROP TABLESPACE AUTOMAINT_TAB3_DAT;
DROP TABLESPACE AUTOMAINT_TAB4_DAT;
DROP TABLESPACE AUTOMAINT_TAB1_IND;
DROP TABLESPACE AUTOMAINT_TAB2_IND;
DROP TABLESPACE AUTOMAINT_TAB3_IND;
DROP TABLESPACE AUTOMAINT_TAB4_IND;

CREATE TABLESPACE AUTOMAINT_TAB1_DAT
PAGESIZE 	4 K  
EXTENTSIZE 	16 
OVERHEAD 	10.5 
PREFETCHSIZE 	16 
TRANSFERRATE 	0.14 
BUFFERPOOL  	AUTO_BP4_DATA 
DROPPED TABLE 	RECOVERY ON;

CREATE TABLESPACE AUTOMAINT_TAB1_IND 
PAGESIZE 	4 K  
EXTENTSIZE 	16 
OVERHEAD 	10.5 
PREFETCHSIZE 	16 
TRANSFERRATE 	0.14 
BUFFERPOOL  	AUTO_BP4_INDEX
DROPPED TABLE 	RECOVERY ON;

CREATE TABLESPACE AUTOMAINT_TAB2_DAT 
PAGESIZE 	4 K  
EXTENTSIZE 	16 
OVERHEAD 	10.5 
PREFETCHSIZE 	16 
TRANSFERRATE 	0.14 
BUFFERPOOL  	AUTO_BP4_DATA 
DROPPED TABLE 	RECOVERY ON;

CREATE TABLESPACE AUTOMAINT_TAB2_IND 
PAGESIZE 	4 K  
EXTENTSIZE 	16 
OVERHEAD 	10.5 
PREFETCHSIZE 	16 
TRANSFERRATE 	0.14 
BUFFERPOOL  	AUTO_BP4_INDEX
DROPPED TABLE 	RECOVERY ON;

CREATE TABLESPACE AUTOMAINT_TAB3_DAT 
PAGESIZE 	4 K  
EXTENTSIZE 	16 
OVERHEAD 	10.5 
PREFETCHSIZE 	16 
TRANSFERRATE 	0.14 
BUFFERPOOL  	AUTO_BP4_DATA 
DROPPED TABLE 	RECOVERY ON;

CREATE TABLESPACE AUTOMAINT_TAB3_IND 
PAGESIZE 	4 K  
EXTENTSIZE 	16 
OVERHEAD 	10.5 
PREFETCHSIZE 	16 
TRANSFERRATE 	0.14 
BUFFERPOOL  	AUTO_BP4_INDEX
DROPPED TABLE 	RECOVERY ON;

CREATE TABLESPACE AUTOMAINT_TAB4_DAT 
PAGESIZE 	4 K  
EXTENTSIZE 	16 
OVERHEAD 	10.5 
PREFETCHSIZE 	16 
TRANSFERRATE 	0.14 
BUFFERPOOL  	AUTO_BP4_DATA 
DROPPED TABLE 	RECOVERY ON;

CREATE TABLESPACE AUTOMAINT_TAB4_IND 
PAGESIZE 	4 K  
EXTENTSIZE 	16 
OVERHEAD 	10.5 
PREFETCHSIZE 	16 
TRANSFERRATE 	0.14 
BUFFERPOOL  	AUTO_BP4_INDEX
DROPPED TABLE 	RECOVERY ON;

--------------------------------
-- CREATE 4 QUARTERLY TABLES  --
--------------------------------

ECHO -;
ECHO -------------------------;
ECHO Creating Tables...;
ECHO -------------------------;

create table AUTOMAINT_TAB1
  (
  tx_number  int not null,
  tx_item    char(10) not null,
  tx_quantity int not null,
  tx_date    date not null,
     check (tx_date between '2004-01-01' and '2004-03-31')
  )
  in AUTOMAINT_TAB1_DAT index in AUTOMAINT_TAB1_IND;

create table AUTOMAINT_TAB2
  (
  tx_number  int not null,
  tx_item    char(10) not null,
  tx_quantity int not null,
  tx_date    date not null,
     check (tx_date between '2004-04-01' and '2004-06-30')
  )
in AUTOMAINT_TAB2_DAT index in AUTOMAINT_TAB2_IND;

create table AUTOMAINT_TAB3
  (
  tx_number  int not null,
  tx_item    char(10) not null,
  tx_quantity int not null,
  tx_date    date not null,
     check (tx_date between '2004-07-01' and '2004-09-30')
  )
in AUTOMAINT_TAB3_DAT index in AUTOMAINT_TAB3_IND;

create table AUTOMAINT_TAB4
  (
  tx_number  int not null,
  tx_item    char(10) not null,
  tx_quantity int not null,
  tx_date    date not null,
     check (tx_date between '2004-10-01' and '2004-12-31')
  )
  in AUTOMAINT_TAB4_DAT index in AUTOMAINT_TAB4_IND;

COMMIT WORK;
