::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Vikram Khatri (vikram.khatri@us.ibm.com)
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ----------------------------------------------------------------------
REM Security Lab 06 - List Authorities function 
REM ----------------------------------------------------------------------

TITLE Security01.CMD - List Authorities function                                

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls
@ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% 

set db2instance=db2

DB2 CONNECT TO SAMPLE user dbapot using dbapot123

								  
ECHO --------------------------------------------------------------------- >  %OUTFILE%
ECHO #1 Retrieve user dbapot AUTHORITIES using a function 	 	   >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO.									   >> %OUTFILE%

DB2 -z %OUTFILE% SELECT SUBSTR(CURRENT USER,1,10) 	AS USER, ^
		        SUBSTR(AUTHORITY,1,20) 		AS AUTHORITY, ^
		        SUBSTR(D_USER,1,1) 		AS D_USER, ^
		        SUBSTR(D_GROUP,1,1) 		AS D_GROUP, ^
		        SUBSTR(D_PUBLIC,1,1) 		AS D_PUBLIC ^
	         FROM 	table (SYSPROC.AUTH_LIST_AUTHORITIES_FOR_AUTHID ^
		        (CURRENT USER,'U')) 		AS XX ^
                WHERE   (D_USER = 'Y' OR D_GROUP = 'Y' OR D_PUBLIC = 'Y')	
				

ECHO.									   >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO #2 Create new user db2secadm				  	   >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO.									   >> %OUTFILE%

net user /add db2secadm db2secadm					   >> %OUTFILE%


ECHO.									   >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO #3 Connect as dbapot with SECADM and grant SECADM to user db2secadm   >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO.									   >> %OUTFILE%

db2 -z  %OUTFILE% grant secadm on database to db2secadm				



ECHO.									   >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO #4 Connect as db2secadm and revoke SECADM, DBADM and other		   >> %OUTFILE%
ECHO    authorities from user dbapot					   >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO.									   >> %OUTFILE%

db2 connect to sample user db2secadm using db2secadm			   >nul
		  
db2 -z  %OUTFILE% revoke SECADM, DBADM, DATAACCESS, ACCESSCTRL ON DATABASE from dbapot


ECHO.									   >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO #5 Retrieve dbapot AUTHORITIES again...			  	   >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO.									   >> %OUTFILE%

db2 connect to sample user dbapot using dbapot123			   > nul

DB2 -z %OUTFILE% SELECT SUBSTR(CURRENT USER,1,10) 	AS USER, ^
		        SUBSTR(AUTHORITY,1,20) 		AS AUTHORITY, ^
		        SUBSTR(D_USER,1,1) 		AS D_USER, ^
		        SUBSTR(D_GROUP,1,1) 		AS D_GROUP, ^
		        SUBSTR(D_PUBLIC,1,1) 		AS D_PUBLIC ^
	         FROM 	table (SYSPROC.AUTH_LIST_AUTHORITIES_FOR_AUTHID ^
		        (CURRENT USER,'U')) 		AS XX ^
                WHERE   (D_USER = 'Y' OR D_GROUP = 'Y' OR D_PUBLIC = 'Y')	
				

ECHO.									   >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO #6 Check on what user dbapot can do...			  	   >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO.									   >> %OUTFILE%

db2 connect to sample user dbapot using dbapot123			   > nul


ECHO.									   >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO    Can it select from its own table?			  	   >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO.									   >> %OUTFILE%	
		  
db2 -z  %OUTFILE% select count(*) as count from dbapot.employee


ECHO.									   >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO    Can it do grants? 					  	   >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO.									   >> %OUTFILE%		   	

db2 -z  %OUTFILE% grant dbadm on database to db2secadm 		


ECHO.									   >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO #7 Check on what user db2secadm can it select from dbapot.employee?   >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO.									   >> %OUTFILE%

db2 connect to sample user db2secadm using db2secadm 			   > nul

db2 -z  %OUTFILE% select count(*) as count from dbapot.employee 		


ECHO.									   >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO.									   >> %OUTFILE%

ECHO.									   
ECHO --------------------------------------------------------------------- 
ECHO Revert all users back to original states			  	   
ECHO ---------------------------------------------------------------------
ECHO.									 

db2 connect to sample user db2secadm using db2secadm 			 	> nul  	
db2 grant SECADM, DBADM, DATAACCESS, ACCESSCTRL ON DATABASE to dbapot 		> nul
db2 connect to sample user dbapot using dbapot123 				> nul
db2 revoke SECADM ON DATABASE from db2secadm 					> nul
db2 terminate 									> nul			
net user /delete db2secadm 							> nul		


ECHO.
ECHO ---------------------------------------------------------------------
ECHO Review file: %OUTFILE% for details on separation
ECHO of responsibility
ECHO ---------------------------------------------------------------------
ECHO.