::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ------------------------------------------------------------------- 
REM Security Lab 06 - Encryption lesson                            
REM ------------------------------------------------------------------- 

TITLE %~n0.CMD - Encryption lesson

SET OUTFILE=%~n0_OUTPUT.TXT

@ECHO off
cls
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% > %OUTFILE%
ECHO. >> %OUTFILE%

set db2instance=db2

db2 CONNECT TO SAMPLE > NUL


REM ------------------------------------------------------------------- 
REM Encryption lesson #1 - basics                           
REM ------------------------------------------------------------------- 

db2 DROP TABLE TOP_SECRET > NUL

db2 -v CREATE TABLE TOP_SECRET^
       ( ROW_NUMBER   INT not null,^
         SECRET_DATA  CHAR(50) for bit data^
       )^
       IN USERSPACE1 >> %OUTFILE%

ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO Insert Data with Password and with Hint..                             >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO. >> %OUTFILE%

db2 -v INSERT INTO TOP_SECRET VALUES^
       (1,ENCRYPT('1234567890','Secretkey1','Hint1')),^
       (2,ENCRYPT('2234567890','Secretkey2','Hint2'))  >> %OUTFILE%

ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO Select data without password...                                       >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO. >> %OUTFILE%

db2 -v SELECT ROW_NUMBER, SECRET_DATA ^
       FROM  TOP_SECRET^
       WHERE ROW_NUMBER = 1  >> %OUTFILE%

ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO Select data with password...                                          >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO. >> %OUTFILE%

db2 -v SELECT ROW_NUMBER, DECRYPT_CHAR(SECRET_DATA,'Secretkey1') SECRET_DATA^
       FROM TOP_SECRET^
       WHERE ROW_NUMBER = 1  >> %OUTFILE%


REM ------------------------------------------------------------------- 
REM Encryption lesson #2 - Hints                      
REM ------------------------------------------------------------------- 

ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO get Hint from Top Secret Security Table...                            >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO. >> %OUTFILE%

db2 -v SELECT GETHINT(SECRET_DATA) SECRET_DATA_HINT^
       FROM TOP_SECRET^
       WHERE ROW_NUMBER = 1 >> %OUTFILE%


REM ------------------------------------------------------------------- 
REM Encryption lesson #3 - Set register                     
REM ------------------------------------------------------------------- 

db2 -v SET ENCRYPTION PASSWORD = 'labpass' >> %OUTFILE%

db2 -v INSERT INTO TOP_SECRET VALUES^
       (3,ENCRYPT('333333')),^
       (4,ENCRYPT('444444')) >> %OUTFILE%

ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO Select data with password                                             >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO. >> %OUTFILE%

db2 -v SELECT ROW_NUMBER, DECRYPT_CHAR(SECRET_DATA,'labpass') SECRET_DATA^
       FROM TOP_SECRET^
       WHERE ROW_NUMBER = 4 >> %OUTFILE%


db2 connect reset > NUL

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Please review the OUTPUT FILE '%OUTFILE%' for DB2 encryption
ECHO ---------------------------------------------------------------------
ECHO.
