::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Vikram Khatri (vikram.khatri@us.ibm.com)
::

REM ------------------------------------------------------------------- 
REM Security Lab 06 - Audit Facility Setup
REM ------------------------------------------------------------------- 

TITLE %~n0.CMD - Setup Audit Lab Exercise

SET OUTFILE=%~n0_OUTPUT.TXT

@ECHO off
cls
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% > %OUTFILE%

ECHO. >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO Create the db2audit directories        			           >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO. >> %OUTFILE%

set db2instance=db2


REM Create C:\db2audit directory
REM -----------------------------------

IF EXIST C:\db2audit\nul (
  rmdir "C:\db2audit" /s/q > NUL
)

IF NOT EXIST C:\db2audit\nul (
  mkdir C:\db2audit > NUL 2>&1
)

REM Create C:\db2auditArchive directory
REM -----------------------------------

IF EXIST C:\db2auditArchive\nul (
  rmdir "C:\db2auditArchive" /s/q > NUL
)

IF NOT EXIST C:\db2auditArchive\nul (
  mkdir C:\db2auditArchive > NUL 2>&1
)

REM Create C:\db2auditExtract directory
REM -----------------------------------

IF EXIST C:\db2auditextract\nul (
  rmdir "C:\db2auditExtract" /s/q > NUL
)

IF NOT EXIST C:\db2auditExtract\nul (
  mkdir C:\db2auditExtract > NUL 2>&1
)

ECHO. >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO Change Audit and Archive Directory                                    >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO. >> %OUTFILE%

db2audit configure datapath "C:\db2audit" archivepath "C:\db2auditArchive" >> %OUTFILE%


ECHO. >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO Creating Audit Tables to hold the DB2 audit data                      >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO. >> %OUTFILE%

db2 CONNECT TO SAMPLE > NUL
db2 CREATE SCHEMA AUDIT > NUL
db2 SET CURRENT SCHEMA = 'AUDIT' > NUL

db2 drop table audit.audit > NUL
db2 drop table audit.checking > NUL
db2 drop table audit.objmaint > NUL
db2 drop table audit.secmaint > NUL
db2 drop table audit.sysadmin > NUL
db2 drop table audit.validate > NUL
db2 drop table audit.context > NUL
db2 drop table audit.execute > NUL
db2 drop table audit.audit > NUL

db2 -tvf "%DB2PATH%\MISC\db2audit.ddl" >> %OUTFILE%
db2 CONNECT RESET > NUL


ECHO. >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO Create a Security Administrator User SECPOT   (SECADM authority)      >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO. >> %OUTFILE%

CALL :CreateUser SECPOT


ECHO. >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO As SYSADM, Grant SECADM to user SECPOT who is Security Administrator  >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO. >> %OUTFILE%

db2 CONNECT TO SAMPLE  >> %OUTFILE%
db2 -v grant secadm on database to user SECPOT >> %OUTFILE%
db2 CONNECT RESET  >> %OUTFILE%


ECHO. >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO As SECADM, Create Audit policies on SAMPLE Database                   >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO. >> %OUTFILE%

db2 CONNECT TO SAMPLE USER SECPOT USING SECPOT12345                        >> %OUTFILE%

db2 drop audit policy CHECK_POLICY > NUL
db2 drop audit policy SENSITIVE_DATA_POLICY > NUL

db2 -v CREATE AUDIT POLICY CHECK_POLICY CATEGORIES ^
       VALIDATE STATUS BOTH,                       ^
       CHECKING STATUS FAILURE,                    ^
       OBJMAINT STATUS BOTH,                       ^
       SECMAINT STATUS BOTH,                       ^
       CONTEXT  STATUS NONE,                       ^
       AUDIT    STATUS BOTH,                       ^
       SYSADMIN STATUS BOTH                        ^
       ERROR    TYPE   AUDIT                                              >> %OUTFILE%


db2 -v CREATE AUDIT POLICY SENSITIVE_DATA_POLICY    ^
       CATEGORIES EXECUTE WITH DATA STATUS BOTH ERROR TYPE AUDIT          >> %OUTFILE%

db2 commit > NUL
db2 CONNECT RESET  > NUL


ECHO.
ECHO ---------------------------------------------------------------------
ECHO We created a SECPOT user, created AUDIT tables and 2 Audit Policies.
ECHO Please review the OUTPUT FILE '%OUTFILE%'
ECHO ---------------------------------------------------------------------
ECHO.

GOTO :EOF

:CreateUser
setlocal
REM Create user, if it does not exists
net user %1  2>NUL > NUL
IF %ERRORLEVEL% EQU 2 (
   ECHO CREATING USER %1
   NET USER /ADD %1 %112345 2>NUL > NUL
) ELSE (
   ECHO User %1 already exists
)
ECHO.
endlocal
