::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Vikram Khatri (vikram.khatri@us.ibm.com)
::

REM ------------------------------------------------------------------- 
REM Security Lab 06 - Instance Auditing using db2audit tool
REM ------------------------------------------------------------------- 

TITLE %~n0.CMD - Instance Auditing using db2audit tool

SET OUTFILE=%~n0_OUTPUT.TXT

@ECHO off
cls
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% > %OUTFILE%
ECHO. >> %OUTFILE%

ECHO ---------------------------------------------------------------------
ECHO Instance Auditing running now... please wait...
ECHO ---------------------------------------------------------------------
ECHO.

set db2instance=db2

del "C:\db2audit\*.*" /s/q/f  > NUL 2>&1
del "C:\db2auditArchive\*.*" /s/q/f  > NUL 2>&1
del "C:\db2auditExtract\*.del" /s/q/f  > NUL 2>&1


db2audit configure scope validate status both    errortype audit  > NUL
db2audit configure scope checking status failure errortype audit  > NUL
db2audit configure scope objmaint status both    errortype audit  > NUL
db2audit configure scope secmaint status both    errortype audit  > NUL
db2audit configure scope context  status none    errortype audit  > NUL
db2audit configure scope audit    status both    errortype audit  > NUL
db2audit configure scope sysadmin status both    errortype audit  > NUL

db2audit start > NUL


ECHO. >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO INSTANCE level auditing - SYSADM controlled                           >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO. >> %OUTFILE%

ECHO. >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO Do some SQL activity                                                  >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO. >> %OUTFILE%

db2 connect to sample > NUL
db2 "values current timestamp" > NUL
db2 "create table test (c1 int not null primary key, c2 int)" > NUL
db2 "insert into test values (1,2),(2,3),(3,4),(4,5),(5,6),(6,7)" > NUL
db2 "update test set c2 = 100 where c1 in (1,2,3)" > NUL
db2 "delete from test where c2 = 100" > NUL
db2 "drop table test" > NUL
db2 "select firstnme, lastname, salary from employee" > NUL
db2 "update employee set salary = 200000 where empno = '000010'" > NUL
db2 "grant dbadm on database to user secpot"  > NUL
db2 "revoke dbadm on database from user secpot" > NUL
db2 "connect to sample user secpot using 12345" > NUL
db2 "connect to sample user secpot using 34567" > NUL
db2 "connect to sample user secpot using 37645" > NUL
db2 terminate > NUL

db2audit flush > NUL
db2audit stop > NUL


ECHO. >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO Archive Audit data and extract                                        >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO. >> %OUTFILE%

for /f "Tokens=2-4 Delims=/ " %%a in ('date /t /n') do set curdate=%%c%%a%%b

db2audit archive                                                           >> %OUTFILE%
db2audit archive database sample                                           >> %OUTFILE%
db2audit extract delasc to C:\db2auditextract from ^
         files c:\db2auditarchive\*%curdate%*                              >> %OUTFILE%


ECHO. >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO LOAD Extracted Audit data in AUDIT Tables                             >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO. >> %OUTFILE%

db2 -tf Security07.sql > NUL


ECHO. >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO Reports from Audit Tables                                             >> %OUTFILE%
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO. >> %OUTFILE%

db2 -tf Security08.sql >> %OUTFILE%


ECHO.
ECHO ---------------------------------------------------------------------
ECHO Please review file '%OUTFILE%' for Instance Level Auditing
ECHO Go to Control Center to check audit tables in AUDIT schema
ECHO ---------------------------------------------------------------------
ECHO.
