--#SET TERMINATOR @

CONNECT TO SAMPLE @

ECHO -------------------------------------------------@
ECHO List of Successful Connections                   @
ECHO -------------------------------------------------@

SELECT TIMESTAMP,
       SUBSTR(USERID,1,18) USERID, 
       SUBSTR(EXECID,1,18) EXECID, 
       SUBSTR(PLUGINNAME,1,18) PLUGINNAME
FROM   AUDIT.VALIDATE
WHERE  EVENT    = 'AUTHENTICATION'
AND    AUTHID   IS NOT NULL
ORDER BY USERID
@

ECHO -------------------------------------------------@
ECHO List of Failed Connections                       @
ECHO -------------------------------------------------@

SELECT TIMESTAMP,
       SUBSTR(USERID,1,18) USERID, 
       SUBSTR(EXECID,1,18) EXECID, 
       SUBSTR(PLUGINNAME,1,18) PLUGINNAME
FROM   AUDIT.VALIDATE
WHERE  EVENT    = 'AUTHENTICATION'
AND    AUTHID   IS NULL
ORDER BY USERID
@

ECHO -------------------------------------------------@
ECHO List of Objects Created in SAMPLE Database       @
ECHO -------------------------------------------------@

SELECT TIMESTAMP,
       SUBSTR(USERID,1,18) USERID, 
       SUBSTR(AUTHID,1,18) AUTHID, 
       SUBSTR(OBJNAME,1,18) OBJNAME,
       SUBSTR(OBJTYPE,1,18) OBJTYPE  
FROM   AUDIT.OBJMAINT
WHERE  EVENT    = 'CREATE_OBJECT'
ORDER BY USERID
@

ECHO -------------------------------------------------@
ECHO List of Objects Dropped in SAMPLE Database       @
ECHO -------------------------------------------------@

SELECT TIMESTAMP,
       SUBSTR(USERID,1,18) USERID, 
       SUBSTR(AUTHID,1,18) AUTHID, 
       SUBSTR(OBJNAME,1,18) OBJNAME,
       SUBSTR(OBJTYPE,1,18) OBJTYPE 
FROM   AUDIT.OBJMAINT
WHERE  EVENT    = 'DROP_OBJECT'
ORDER BY USERID
@

ECHO -------------------------------------------------@
ECHO Who is accessing/updating EMPLOYEE TABLE         @
ECHO -------------------------------------------------@

SELECT TIMESTAMP,
       SUBSTR(USERID,1,18) USERID, 
       SUBSTR(SESSNAUTHID,1,18) SESSIONID, 
       SUBSTR(STMTTEXT,1,255) SQL
FROM   AUDIT."EXECUTE"
WHERE  EVENT    = 'STATEMENT'
AND    DATABASE = 'SAMPLE'
AND    STMTTEXT IS NOT NULL
ORDER BY USERID
@

CONNECT RESET@


