::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ----------------------------------------------------------------------
REM Explain Lab 07 - Create Explain Tables and prepare instance, database                              
REM ----------------------------------------------------------------------

TITLE Explain01.CMD - Create Explain Tables

SET OUTFILE=%~n0_OUTPUT.TXT

echo off
cls
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% 

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Creating Explain Tables... 
ECHO ---------------------------------------------------------------------
ECHO.

set db2instance=db2

db2 terminate
db2 connect to gsdb

db2 -tf "%DB2PATH%\MISC\EXPLAIN.DDL" -z %OUTFILE%

db2 connect reset


ECHO.
ECHO ---------------------------------------------------------------------
ECHO SETTING DB2_SQLROUTINE_PREOPTS
ECHO SETTING DB2_SQLROUTINE_PREOPTS >> %OUTFILE%
ECHO ---------------------------------------------------------------------
ECHO.

REM ----------------------------------------------------------------------
REM Allow for explain plan generation with stored procedures
REM ----------------------------------------------------------------------

db2set DB2_SQLROUTINE_PREPOPTS="EXPLAIN YES EXPLSNAP YES" >> %OUTFILE%



ECHO.
ECHO ---------------------------------------------------------------------
ECHO INCREASING LOG CAPACITY
ECHO INCREASING LOG CAPACITY >> %OUTFILE%
ECHO ---------------------------------------------------------------------
ECHO.

db2 update db cfg for gsdb USING LOGFILSIZ 5000 LOGPRIMARY 4 LOGSECOND  5 SOFTMAX 10 >> %OUTFILE%


ECHO.
ECHO ---------------------------------------------------------------------
ECHO RESTARTING Database...
ECHO RESTARTING Database... >> %OUTFILE%
ECHO ---------------------------------------------------------------------
ECHO.

db2stop force 	>> %OUTFILE%
db2start 	>> %OUTFILE%


@echo on