::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ----------------------------------------------------------------------
REM Explain Lab 08 - Instance and Session Monitoring switches                        
REM ----------------------------------------------------------------------

TITLE Monitor01.CMD - Instance and Session Monitoring switches 

SET OUTFILE=%~n0_OUTPUT.TXT

echo off
cls
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% 

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Preparing the environment... please wait...
ECHO ---------------------------------------------------------------------
ECHO.

db2 terminate
set db2instance=db2
db2 get instance
db2set db2_compatibility_vector=FFF
db2set db2_sqlroutine_prepopts=
db2 UPDATE DB CFG FOR SAMPLE USING logprimary 30 logsecond 10 logfilsiz 5000 softmax 10 > NUL
db2stop force
db2start

cls

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Turn off monitor switches at the instance level (globally)
ECHO ---------------------------------------------------------------------
ECHO.

SET DB2INSTANCE=DB2		> NUL

db2 attach to db2		> NUL

db2 UPDATE DBM CFG USING DFT_MON_BUFPOOL   OFF ^
                         DFT_MON_LOCK      OFF ^
                         DFT_MON_SORT      OFF ^
                         DFT_MON_STMT      OFF ^
                         DFT_MON_TABLE     OFF ^
                         DFT_MON_TIMESTAMP OFF ^
                         DFT_MON_UOW       OFF    		> %OUTFILE%

db2 get dbm monitor switches	 				>> %OUTFILE%


ECHO ---------------------------------------------------------------------
ECHO Turn on monitor switches at the session level
ECHO ---------------------------------------------------------------------
ECHO.

db2 UPDATE MONITOR SWITCHES USING 	BUFFERPOOL 	ON ^
					LOCK 		ON ^
					SORT 		ON ^
					STATEMENT 	ON ^
					TABLE 		ON ^
					TIMESTAMP 	ON ^
					UOW 		ON	>> %OUTFILE%

db2 GET MONITOR SWITCHES					>> %OUTFILE%

db2 CONNECT RESET > NUL

ECHO.
ECHO ---------------------------------------------------------------------
ECHO To review instance and session level monitor switches 
ECHO check output file %OUTFILE%
ECHO ---------------------------------------------------------------------
ECHO.