::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Vikram Khatri (vikram.khatri@us.ibm.com)
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ----------------------------------------------------------------------
REM  Monitor SQL statements inside SP
REM ----------------------------------------------------------------------

TITLE %~n0.CMD - Monitor switches turn on / off globally or at session level

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls

ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% > %OUTFILE%
ECHO.

SET DB2INSTANCE=DB2

db2 CONNECT TO SAMPLE


ECHO ---------------------------------------------------------------------
ECHO Create a statement event monitor: POT_EVEMON
ECHO ---------------------------------------------------------------------
ECHO.

db2 DROP PROCEDURE MONITOR_RS        > NUL
db2 drop event monitor pot_evemon    > NUL
db2 drop table pot_evemon_head       > NUL
db2 drop table pot_evemon_stmt       > NUL
db2 drop table pot_evemon_ctrl       > NUL

db2 -tvf Monitor06.sql >> %OUTFILE%


ECHO ---------------------------------------------------------------------
ECHO Turn Event Monitor POT_EVEMON ON
ECHO ---------------------------------------------------------------------
ECHO.

db2 SET EVENT MONITOR pot_evemon STATE 1

db2 TRUNCATE TABLE MONITOR_TAB > NUL


ECHO ---------------------------------------------------------------------
ECHO Run Stored Procedure so that the event monitor can capture the SQL 
ECHO ---------------------------------------------------------------------
ECHO.

db2 "CALL MONITOR_SP(?)" >> %OUTFILE%


ECHO ---------------------------------------------------------------------
ECHO Turn Event Monitor POT_EVEMON OFF
ECHO ---------------------------------------------------------------------
ECHO.

db2 SET EVENT MONITOR pot_evemon STATE 0

db2 COMMIT > NUL

db2 CONNECT RESET > NUL

ECHO.
ECHO ----------------------------------------------------------------------
ECHO 1. Check the output file %OUTFILE% and 
ECHO 2. Run Stored Procedure MONITOR_RS from Data Studio to see the output
ECHO ----------------------------------------------------------------------
ECHO.
