::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Vikram Khatri (vikram.khatri@us.ibm.com)
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ----------------------------------------------------------------------
REM  Example of monitoring that does not require monitor switches
REM ----------------------------------------------------------------------

TITLE %~n0.CMD - Light weight monitoring

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls

ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% > %OUTFILE%
ECHO.

SET DB2INSTANCE=DB2
db2 CONNECT TO SAMPLE
db2 SET SERVEROUTPUT ON


ECHO ---------------------------------------------------------------------
ECHO Monitor ongoing activity on SAMPLE databaes, table: MONITOR_TAB 
ECHO ---------------------------------------------------------------------
ECHO.

for /L %%Z IN (1 1 3) do (
    cls
    @echo ------------------------
    @echo Monitoring RUN %%Z OF 3...
    @echo ------------------------

    echo.								   >> %OUTFILE%
    echo ----------------------------------------------------------------- >> %OUTFILE%
    echo #%%Z SQL monitoring: MON_GET_TABLE and MON_GET_CONTAINER 	   >> %OUTFILE%
    echo ----------------------------------------------------------------- >> %OUTFILE%
    echo.								   >> %OUTFILE%
    db2 -tf Monitor08.SQL 						   >> %OUTFILE% 
    echo.								   >> %OUTFILE%

    echo ----------------------------------------------------------------- >> %OUTFILE%
    echo #%%Z db2pd log monitoring					   >> %OUTFILE%
    echo ----------------------------------------------------------------- >> %OUTFILE%
    echo.								   >> %OUTFILE%
    db2pd -d SAMPLE -LOGS 						   >> %OUTFILE% 
    echo.								   >> %OUTFILE%

    echo ----------------------------------------------------------------- >> %OUTFILE%
    echo #%%Z CALL MONITOR_SP to do work on the database		   >> %OUTFILE%
    echo ----------------------------------------------------------------- >> %OUTFILE%
    echo.								   >> %OUTFILE%
    db2 "CALL MONITOR_SP(?)"  				  		   >> %OUTFILE%
    db2 commit > NUL
    echo.								   >> %OUTFILE%

)

db2 CONNECT RESET > NUL

ECHO.
ECHO ----------------------------------------------------------------------
ECHO This shows light weight monitor functionality 
ECHO Check the output file %OUTFILE%
ECHO ----------------------------------------------------------------------
ECHO.
