-- ------------------------------------------------------------------- 
-- pureXML Lab 09 - Create Database XMLDB with supporting buffer pools
--                  and table spaces to work with
-- ------------------------------------------------------------------- 
 
CREATE DATABASE XMLDB 
AUTOMATIC STORAGE YES ON 'C:\' 
DBPATH ON 'C:\' 
ALIAS XMLDB 
WITH "PoT pureXML Lab Database"
@

CONNECT TO XMLDB
@

-- ------------------------------------------------------------------- 
-- pureXML Lab 09 - Create a bufferpools in database XMLDB
-- ------------------------------------------------------------------- 

CREATE BUFFERPOOL XML_DATA_BP08 
IMMEDIATE  
PAGESIZE 	8 K  
@

CREATE BUFFERPOOL XML_INDX_BP04 
IMMEDIATE  
PAGESIZE 	4 K  
@

CREATE BUFFERPOOL XML_DOCS_BP16 
IMMEDIATE  
PAGESIZE 	16 K  
@


-- ------------------------------------------------------------------- 
-- pureXML Lab 09 - Create a table space using automatic storage 
--                  in database XMLDB
-- ------------------------------------------------------------------- 

CREATE  	LARGE  TABLESPACE XML_DATA_TS08 
PAGESIZE 	8 K  
EXTENTSIZE 	8 
OVERHEAD 	10.5 
PREFETCHSIZE 	32 
TRANSFERRATE 	0.14 
BUFFERPOOL  	XML_DATA_BP08  
DROPPED TABLE RECOVERY ON
@

COMMENT ON TABLESPACE XML_DATA_TS08 IS '8K Table Space for data'
@

CREATE  	LARGE  TABLESPACE XML_INDX_TS04 
PAGESIZE 	4 K  
EXTENTSIZE 	8 
OVERHEAD 	10.5 
PREFETCHSIZE 	32 
TRANSFERRATE 	0.14 
BUFFERPOOL  	XML_INDX_BP04  
DROPPED TABLE RECOVERY ON
@

COMMENT ON TABLESPACE XML_INDX_TS04 IS '4K Table Space for indexes'
@

CREATE  	LARGE TABLESPACE XML_DOCS_TS16 
PAGESIZE 	16 K  
EXTENTSIZE 	8 
OVERHEAD 	10.5 
PREFETCHSIZE 	32 
TRANSFERRATE 	0.14 
BUFFERPOOL  	XML_DOCS_BP16  
DROPPED TABLE RECOVERY ON
@

COMMENT ON TABLESPACE XML_DOCS_TS16 IS '16K Table Space for XML docs'
@
