-- ------------------------------------------------------------------- 
-- PureXML Lab 09 - XML based Queries
-- Give these each a try using the Command Editor by copying and 
-- pasting them into the tools "Commands" window and running them.
-- 
-- To cut and paste, first highlight the desired text, then:
-- [Ctrl] C - To copy
-- [Ctrl] V - To paste
-- ------------------------------------------------------------------- 
 
-- 1. SQL QUERY Exmple of retrieving an XML document - Using relational column as a qualifier
--
SELECT BOOK_DOC 
FROM   XML_BOOKS 
WHERE  BOOK_ID = 12345;



-- 2. XQUERY Exmple of retrieving the same XML document - Using relational column as a qualifier
--
XQUERY db2-fn:sqlquery("SELECT BOOK_DOC FROM XML_BOOKS WHERE BOOK_ID = 12345");



-- 3. XQUERY Exmple of retrieving an element from an XML document using an attribute as a qualifier
--
XQUERY db2-fn:xmlcolumn('XML_BOOKS.BOOK_DOC')/book/authors/author[@id='99'];



-- 4. XQUERY using "FLWOR" expression format
--
XQUERY  for    $d in db2-fn:xmlcolumn('XML_BOOKS.BOOK_DOC')/book
        where  $d/authors/author = 'Sheniqua Vee' 
	return $d/keywords/keyword/text();



-- 5. XQUERY Example of using XMLTable function using relational columns with XML elements
--
SELECT 	BOOK_ID, X.*
FROM 	XML_BOOKS XB,
     	XMLTable('$bd/book' PASSING XB.BOOK_DOC as "bd"
       	COLUMNS 
         	"TITLE"    CHAR(20) PATH 'title',
	 	"AUTHOR"   CHAR(20) PATH 'authors',
	 	"PRICE"    DECIMAL  PATH 'price') AS X;



-- 6. SQL QUERY Exmple using function REC2XML which turns any non-XML column into XML 
--
SELECT 	REC2XML (1.0,'COLATTVAL','', BOOK_ID, BOOK_TITLE) 
FROM 	XML_BOOKS;



-- 7. XQUERY Examples of comparison tests (run both at the same time if you want to)
--
xquery   1 = 1, 1 > 2, 1 <= 2, 1 != 2;

xquery  for    $count in (2,4,6,8,10)   
	where  $count > 5 
	return $count;
