-- -----------------------------------------------------------------
-- INDEX ON XML COLUMN
-- -----------------------------------------------------------------
DROP INDEX XML_BOOKS_AUTHORS_IDX;

CREATE  INDEX XML_BOOKS_AUTHORS_IDX 
ON XML_BOOKS(BOOK_DOC) 
GENERATE KEY USING XMLPATTERN '/book/authors//@*' AS SQL VARCHAR(500) 
PCTFREE 10 
ALLOW REVERSE SCANS  
PAGE SPLIT 
SYMMETRIC COLLECT  
SAMPLED DETAILED STATISTICS ;
COMMENT ON Index XML_BOOKS_AUTHORS_IDX IS 'Index on XML Column';


-- -----------------------------------------------------------------
-- INDEX ON A NON XML (REGULAR DATA TYPE) COLUMN
-- -----------------------------------------------------------------
DROP INDEX XML_BOOKS_TITLE_IDX;

CREATE  INDEX XML_BOOKS_TITLE_IDX 
ON XML_BOOKS (BOOK_TITLE ASC)  
PCTFREE 10 
MINPCTUSED 10 
ALLOW REVERSE SCANS  
PAGE SPLIT 
SYMMETRIC COLLECT  
SAMPLED DETAILED  STATISTICS ;

COMMENT ON Index XML_BOOKS_TITLE_IDX IS 'Index on Title Column';


-- -----------------------------------------------------------------
-- COLLECT STATISTICS FOR THE TABLE AND INDEXES
-- -----------------------------------------------------------------
RUNSTATS ON TABLE DBAPOT.XML_BOOKS ON ALL COLUMNS AND INDEXES ALL ALLOW WRITE ACCESS ;
COMMIT WORK;