::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::


REM ----------------------------------------------------------------------
REM MDC Lab 10 - Set up CARS TABLES example                             
REM ----------------------------------------------------------------------

TITLE MDC01.CMD - Set up CARS tables example

@echo off
cls
@ECHO Executed by: %USERNAME%  %DATE% Machine: %COMPUTERNAME% ON %OS%

set db2instance=db2

REM ----------------------------------------------------------------------
REM Disallow for explain plan generation with stored procedures
REM ----------------------------------------------------------------------

db2set DB2_SQLROUTINE_PREPOPTS="EXPLAIN NO EXPLSNAP NO" 
db2set db2_compatibility_vector=

ECHO.
ECHO RESTARTING DB2...
ECHO.

db2stop force 
db2start 

REM ----------------------------------------------------------------------
REM Multidimensional Table Setup                              
REM ----------------------------------------------------------------------

db2 -td; -vf MDC02.DB2 -z MDC01_OUTPUT.TXT


REM ----------------------------------------------------------------------
REM Create data generation stored procedure                    
REM ----------------------------------------------------------------------

db2 -td@ -vf MDC03.DB2 -z MDC01_OUTPUT.TXT


REM ----------------------------------------------------------------------
REM Insert data into cars tables, both MDC and non MDC                   
REM ----------------------------------------------------------------------
REM
REM                  #YEARS
REM                     |
REM              #COLORS|
REM            #CARS |  |
REM      Insert   |  |  |
REM      Rec count|  |  |
REM         |     |  |  |
REM         V     V  V  V

MDC04.BAT 200000 12 12  5