REM ----------------------------------------------------------------------
REM MDC Lab 10 - INSERT DATA INTO BOTH CARS TABLES                      
REM ----------------------------------------------------------------------
REM This script calls the CARS_INSERT_ALL stored procedure to populate  
REM both CARS% tables with identical data.  It then does a RUNSTATS     
REM on both of them to insure identical statistical performance.        

@echo off
cls
@ECHO Executed by: %USERNAME%  %DATE% Machine: %COMPUTERNAME% ON %OS%

set db2instance=db2

IF "%4" == "" GOTO :Usage


@ECHO.
@ECHO --------------------------------------------------------------------
@ECHO Connected to database GSDB
@ECHO.
@ECHO Inserting %1 Records into both CARS tables
@ECHO ...with %2 different car types
@ECHO ...with %3 different color types
@ECHO ...with %4 different years
@ECHO PLEASE BE PATIENT...
@ECHO --------------------------------------------------------------------
@ECHO.


db2 CALL CARS_INSERT_ALL(%1,%2,%3,%4)

DB2 RUNSTATS ON TABLE %USERNAME%.CARS     ON ALL COLUMNS WITH DISTRIBUTION ON ALL COLUMNS AND INDEXES ALL ALLOW WRITE ACCESS 
DB2 RUNSTATS ON TABLE %USERNAME%.CARS_MDC ON ALL COLUMNS WITH DISTRIBUTION ON ALL COLUMNS AND INDEXES ALL ALLOW WRITE ACCESS 


REM ----------------------------------------------------------------------
REM Create checking stored procedures                     
REM ----------------------------------------------------------------------

ECHO.
ECHO Creating checking stored procedures...
ECHO.

db2 -td@ -f MDC06.DB2 -z MDC01_OUTPUT.TXT

goto :end


:Usage
@ECHO.
@ECHO --------------------------------------------------------------------
@ECHO You did not provide the correct parameters for this script!
@ECHO.
@ECHO Usage: MDC04.BAT NUM_OF_RECORDS NUM_CARS NO_COLORS NUM_YEARS
@ECHO. 
@ECHO        eg. MDC04 10000 10 10 5
@ECHO --------------------------------------------------------------------
@ECHO.

:end
@ECHO on











