::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Vikram Khatri (vikram.khatri@us.ibm.com)
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ----------------------------------------------------------------------
REM CREATE A TPCD DATABASE, LOAD DATA and UPDATE STATISTICS                         
REM ----------------------------------------------------------------------

TITLE Design01.CMD - Create TPCD Database for DB2ADVIS TOOL

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls

ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% > %OUTFILE%
ECHO.
ECHO ---------------------------------------------------------------------
ECHO CREATE A TPCD DATABASE, LOAD DATA 
ECHO ---------------------------------------------------------------------
ECHO

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Step 1: Dropping TPCD database, if it exists 
ECHO ---------------------------------------------------------------------
ECHO.

db2 terminate				>> %OUTFILE%
set db2instance=db2			>> %OUTFILE%
db2set db2_compatibility_vector=	>> %OUTFILE%
db2 get instance			>> %OUTFILE%
db2stop force				>> %OUTFILE%
db2start				>> %OUTFILE%

db2 drop db tpcd 			>> %OUTFILE%

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Step 2: Creating TPCD database 
ECHO ---------------------------------------------------------------------
ECHO.

db2 -tvf Design11.DDL 			>> %OUTFILE%


ECHO.
ECHO ---------------------------------------------------------------------
ECHO Step 3: Creating all tables required for the TPCD database 
ECHO ---------------------------------------------------------------------
ECHO.

db2 -tvf Design12.DDL 			>> %OUTFILE%


ECHO.
ECHO ---------------------------------------------------------------------
ECHO Step 4: Loading data in tables 
ECHO ---------------------------------------------------------------------
ECHO.

db2 -tvf Design13.DDL 			>> %OUTFILE%


ECHO.
ECHO ---------------------------------------------------------------------
ECHO Step 5: Updating statistics 
ECHO ---------------------------------------------------------------------
ECHO.

db2 -tvf Design14.DDL 			>> %OUTFILE%


ECHO.
ECHO ---------------------------------------------------------------------
ECHO Step 6: Creating EXPLAIN tables 
ECHO ---------------------------------------------------------------------
ECHO.

db2 -tvf Design15.DDL 			>> %OUTFILE%

DB2STOP FORCE
DB2START

ECHO.
ECHO ----------------------------------------------------------------------
ECHO Note: This script sets up the TPC-C database to use Design Advisor on.
ECHO       Review the output %OUTFILE%
ECHO ----------------------------------------------------------------------
ECHO.