::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Vikram Khatri (vikram.khatri@us.ibm.com)
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ----------------------------------------------------------------------
REM Move a database from one instance to another. "TRANSPORATABLE database" 
REM      exercise.
REM #1 - Setup of the new database, then a target new instance
REM ----------------------------------------------------------------------

TITLE Data01.CMD - db2relocatedb - setup

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% > %OUTFILE%
ECHO Create DATA database in DB2 instance and Create a DB2PROD instance
ECHO ---------------------------------------------------------------------
ECHO.

REM
REM DROP existing DATA database if it is there
REM

db2 terminate						>> %OUTFILE%
set db2instance=DB2					>> %OUTFILE%
db2 get instance					>> %OUTFILE%

db2set db2_compatibility_vector=			>> %OUTFILE%
db2set db2_sqlroutine_prepopts=				>> %OUTFILE%

DB2STOP FORCE						>> %OUTFILE%
DB2START						>> %OUTFILE%
db2 drop database data 					>> %OUTFILE%

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Step 1: Create DATA database in DB2 instance
ECHO ---------------------------------------------------------------------
ECHO.

db2 -td; -vf  Data02.DDL 				>> %OUTFILE%

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Step 2: DATA database: create two DMS table spaces in C:\DB2 
ECHO         directory and create a RELO_TB table with 10,000 rows
ECHO ---------------------------------------------------------------------
ECHO.

db2 -td; -vf Data03.DDL 				>> %OUTFILE%

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Step 3: Create new DB2PROD target instance to relocate the DATA 
ECHO         database to
ECHO ---------------------------------------------------------------------
ECHO.

set db2instance=DB2

SET DB2PRODFOUND=false
FOR /F "tokens=1" %%K in ('db2ilist') do (
   IF "%%K" EQU "DB2PROD" (
      SET DB2PRODFOUND=true
      break
   )
)

IF "%DB2PRODFOUND%" EQU "false" (
   ECHO CREATING DB2PROD instance
   db2icrt DB2PROD >> %OUTFILE%
   db2 catalog local node db2prod instance db2prod SYSTEM %COMPUTERNAME% OSTYPE WIN >> %OUTFILE%

   IF NOT EXIST C:\DB2PROD\nul (
     ECHO.
     ECHO CREATING C:\DB2PROD directory
     ECHO.
     mkdir c:\DB2PROD >> %OUTFILE%
   )
   set db2instance=DB2PROD
   ECHO Starting DB2PROD instance
   db2start >> %OUTFILE%
) ELSE (
   ECHO DB2PROD Instance already exists
)


set db2instance=DB2

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Note: This script creates a database called "DATA" with two DMS table
ECHO       spaces and a "RELO_TB" table that uses these table spaces.  
ECHO.
ECHO       This script also creates an instance call DB2PROD that will be
ECHO       a target instance to move the DATA database to.
ECHO.
ECHO       Go to Control Center and verify these objects exist before 
ECHO       continuing.
ECHO.
ECHO       Check the OUTPUT FILE '%OUTFILE%' for details.
ECHO ---------------------------------------------------------------------
ECHO.
