-- ------------------------------------------------------------------- 
-- Lab 12 - Data Movement
-- Purpose: Create two table spaceS in DATA database and RELO_TB table
-- ------------------------------------------------------------------- 

Connect to DATA;

DROP TABLE 	RELO_TB;
DROP TABLESPACE DATA;
DROP BUFFERPOOL DATA;
DROP TABLESPACE IDX;
DROP BUFFERPOOL IDX;

CREATE BUFFERPOOL DATA IMMEDIATE  SIZE 50 PAGESIZE 16 K;
CREATE BUFFERPOOL IDX  IMMEDIATE  SIZE 50 PAGESIZE 16 K;

CREATE 	REGULAR  TABLESPACE DATA 
	PAGESIZE 16 K  
	MANAGED BY DATABASE  
	USING ( FILE 'C:\DB2\DataData01.dat' 560 ) 
	EXTENTSIZE 16 
	OVERHEAD 10.5 
	PREFETCHSIZE 16 
	TRANSFERRATE 0.14
	BUFFERPOOL DATA  
	DROPPED TABLE RECOVERY OFF;

CREATE 	REGULAR  TABLESPACE IDX 
	PAGESIZE 16 K   
	MANAGED BY DATABASE  
	USING ( FILE 'C:\DB2\Dataidx01.dat' 200 ) 
	EXTENTSIZE 16 
	OVERHEAD 10.5 
	PREFETCHSIZE 16 
	TRANSFERRATE 0.14
	BUFFERPOOL IDX  
	DROPPED TABLE RECOVERY OFF;

CREATE TABLE RELO_TB
	(
   	relo_id    	  INTEGER 	NOT NULL,
   	SSN            CHAR(11) 	NOT NULL,
   	FIRST_NAME     VARCHAR(20) 	NOT NULL,
   	LAST_NAME      VARCHAR(20) 	NOT NULL,
   	job_code       CHAR(4) 	NOT NULL,
   	dept           SMALLINT 	NOT NULL,
   	salary         DECIMAL(12,2) NOT NULL,
   	DOB            DATE 		NOT NULL WITH DEFAULT,
   	CONSTRAINT pk_relo_tb PRIMARY KEY (relo_id)
	) in data
	  index in idx;


INSERT 	INTO RELO_TB(RELO_ID,SSN,FIRST_NAME,LAST_NAME,job_code,dept,salary,DOB)
	WITH temp1 (s1,r1,r2,r3,r4) AS
	(VALUES (0
	,RAND(2)
	,RAND()+(RAND()/1E5)
	,RAND()* RAND()
	,RAND()* RAND()* RAND())
	UNION ALL
	SELECT s1 + 1
	,RAND()
	,RAND()+(RAND()/1E5)
	,RAND()* RAND()
	,RAND()* RAND()* RAND()
	FROM temp1
	WHERE s1 < 9999
	)
	SELECT 	s1,SUBSTR(DIGITS(INT(r2*988+10)),8) ||'-'||
       		SUBSTR(DIGITS(INT(r1*88+10)),9) || '-' ||
       		TRANSLATE(SUBSTR(DIGITS(s1),7),'9873450126','0123456789'),
       		CHR(INT(r1*26+65))|| CHR(INT(r2*26+97))|| CHR(INT(r3*26+97))||CHR(INT(r4*26+97))|| CHR(INT(r3*10+97))|| CHR(INT(r3*11+97)),
		CHR(INT(r2*26+65))||TRANSLATE(CHAR(INT(r2*1E7)),'aaeeiibmty','0123456789'),       
       		CASE
         		WHEN INT(r4*9) > 7 THEN 'MGR'
         		WHEN INT(r4*9) > 5 THEN 'SUPR'
         		WHEN INT(r4*9) > 3 THEN 'PGMR'
         		WHEN INT(R4*9) > 1 THEN 'SEC'
         	ELSE 	'WKR'
       		END,
       		INT(r3*98+1),
       		DECIMAL(r4*99999,7,2),
       		DATE('1930-01-01') + INT(50-(r4*50)) YEARS + INT(r4*11) MONTHS + INT(r4*27) DAYS
	FROM 	temp1;

RUNSTATS ON 	TABLE DBAPOT.RELO_TB ON ALL COLUMNS 
   		WITH DISTRIBUTION ON ALL COLUMNS 
   		AND INDEXES ALL ALLOW WRITE ACCESS;

Terminate;

