::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Vikram Khatri (vikram.khatri@us.ibm.com)
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ----------------------------------------------------------------------
REM Copy a database from one instance to another: db2relocatedb 
REM
REM #2 -This script does an OS copy of the database files
REM ----------------------------------------------------------------------

TITLE Data04.CMD - db2relocatedb - Copy OS files

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% > %OUTFILE%
ECHO OS Copy DATA database from DB2 instance to DB2PROD instance
ECHO ---------------------------------------------------------------------
ECHO.

set db2instance=DB2

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Step 1: QUIESCE database and deactivate it (To allow OS copy of files)
ECHO ---------------------------------------------------------------------
ECHO.

db2 connect to data >> %OUTFILE%

REM Capture database path for DATA database

FOR /F "tokens=1" %%K in ('call Data05.bat') do SET DBPATH=%%K

ECHO %DBPATH%

SET NEWDBPATH=%DBPATH:DB2=DB2PROD%

db2 QUIESCE DATABASE IMMEDIATE FORCE CONNECTIONS  	>> %OUTFILE%
db2 UNQUIESCE DATABASE  				>> %OUTFILE%
db2 TERMINATE  						>> %OUTFILE%
db2 DEACTIVATE DB DATA 					>> %OUTFILE%

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Step 2: OS copy DATA database file from the DB2 instance directory to 
ECHO         a DB2PROD instance directory
ECHO ---------------------------------------------------------------------
ECHO.

ECHO Copy DATA database from DB2 to DB2PROD instance
ECHO.

XCOPY /Y /E /I C:\DB2\NODE0000\SQLDBDIR C:\DB2PROD\NODE0000\SQLDBDIR 	>> %OUTFILE%

XCOPY /Y /E /I %DBPATH%*.* 		%NEWDBPATH% 			>> %OUTFILE%


ECHO.
ECHO ---------------------------------------------------------------------
ECHO Copy table spaces from C:\DB2 to C:\DB2Prod
ECHO ---------------------------------------------------------------------
ECHO.

IF NOT EXIST C:\db2Prod\nul (
  ECHO CREATING C:\db2Prod directory
  ECHO.
  mkdir C:\db2Prod >> %OUTFILE%
)
XCOPY /Y /I C:\DB2\DataData01.dat C:\DB2Prod 				>> %OUTFILE%
XCOPY /Y /I C:\DB2\Dataidx01.dat  C:\DB2Prod 				>> %OUTFILE%

rem XCOPY /Y /E /I C:\DB2\NODE0000\DATA  C:\DB2Prod\NODE0000\DATA 	>> %OUTFILE%

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Note: The heart of the lesson of this script is copying the database 
ECHO       and the table spaces files using and OS copy command.
ECHO.
ECHO       Please go to the Windows explorer and check to see if files 
ECHO       have been copied to the subdirectory C:\DB2PROD 
ECHO.
ECHO       Please check the FILE '%OUTFILE%'
ECHO ---------------------------------------------------------------------
ECHO.
