::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Vikram Khatri (vikram.khatri@us.ibm.com)
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ----------------------------------------------------------------------
REM db2relocatedb - tranportable database from one instance to another
REM
REM #3 -This script executes the actual database relocation using the
REM     db2relocatedb utility
REM ----------------------------------------------------------------------


TITLE Data06.CMD - db2relocatedb execution

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% > %OUTFILE%
ECHO This runs the DB2RELOCATEDB Tool
ECHO ---------------------------------------------------------------------
ECHO.

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Step 1: Run DB2RELOCATEDB tool to enable DATA database in DB2PROD instance
ECHO ---------------------------------------------------------------------
ECHO.


set db2instance=DB2PROD

db2relocatedb -f Data07.CFG 			>> %OUTFILE%

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Step 2: Catalog the new database in DB2 instance
ECHO ---------------------------------------------------------------------
ECHO.

set db2instance=DB2 				>> %OUTFILE%
db2 CATALOG DATABASE DATAPROD AS DATAPROD AT NODE DB2PROD WITH 'DB2RELOCATEDB COPY' >> %OUTFILE%
db2 terminate 					>> %OUTFILE%

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Step 3: Connect to DATAPROD database in DB2PROD
ECHO ---------------------------------------------------------------------
ECHO.

set db2instance=DB2PROD

db2 connect to dataprod 			>> %OUTFILE%

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Get row count from RELO_TB table from database DATAPROD in instance 
ECHO DB2PROD to check success of relocate.
ECHO ---------------------------------------------------------------------
ECHO.

db2 "select count(*) RELO_TB from RELO_TB"
db2 "select count(*) RELO_TB from RELO_TB" 	>> %OUTFILE%
db2 connect reset 				>> %OUTFILE%
db2 terminate 					>> %OUTFILE%

set db2instance=DB2


ECHO.
ECHO ---------------------------------------------------------------------
ECHO Note: The heart of the lesson of this script is the db2relocatedb 
ECHO       tool usage. Please review DATA07.CFG file carefully.
ECHO.
ECHO       Please check the OUTPUT FILE '%OUTFILE%'
ECHO ---------------------------------------------------------------------
ECHO.
