::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Vikram Khatri (vkhatri@us.ibm.com)
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ----------------------------------------------------------------------
REM CONVERTING NON-UNICODE DATABASE TO UNICODE DATABASE
REM ----------------------------------------------------------------------

TITLE Data12.CMD - Use DB2LOOK

SET OUTFILE=C:\POT_DB2\12DATA\%~n0_OUTPUT.TXT

@echo off
cls

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% > %OUTFILE%
ECHO CONVERTING NON-UNICODE DATABASE TO UNICODE DATABASE
ECHO ---------------------------------------------------------------------


ECHO.
ECHO ---------------------------------------------------------------------
ECHO Step 3. Create target DATA2 database in Unicode
ECHO         (after dropping DATA database)
ECHO ---------------------------------------------------------------------
ECHO.

db2 terminate 				>> %OUTFILE%
db2stop force				>> %OUTFILE%
db2start				>> %OUTFILE%
db2 drop database data			>> %OUTFILE%

db2 -tf Data13.DDL >> %OUTFILE%

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Step 4. Recreate DATA2 database structures from DATA database DDL
ECHO ---------------------------------------------------------------------
ECHO.

cd c:\POT_DB2\12DATA\DUMP  		>> %OUTFILE%

db2 connect to data2  			>> %OUTFILE%
db2 -tvf db2look_dump.ddl 		>> %OUTFILE%
db2 terminate 				>> %OUTFILE%

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Step 5. IMPORT DATA
ECHO ---------------------------------------------------------------------
ECHO.

db2move data2 import 			>> %OUTFILE%


ECHO.
ECHO ---------------------------------------------------------------------
ECHO Check results
ECHO ---------------------------------------------------------------------
ECHO.

db2 connect to data2  			>> %OUTFILE%
db2 "SELECT count(*) RELO_TB FROM RELO_TB"
db2 "SELECT count(*) RELO_TB FROM RELO_TB" >> %OUTFILE%
db2 terminate 				>> %OUTFILE%

cd c:\POT_DB2\12DATA  			>> %OUTFILE%

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Note: The heart of the lesson of this script is the db2move and
ECHO       db2look tool to unload/load data and generate DDL from 
ECHO       DATA database. Please review DATA.DDL file
ECHO       for DDL generated for DATA database.
ECHO ---------------------------------------------------------------------
ECHO.



