::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Vikram Khatri (vikram.khatri@us.ibm.com)
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ----------------------------------------------------------------------
REM Clean up RESOURCES: DATA database and DB2PROD instance
REM ---------------------------------------------------------------------- 

TITLE Data50.BAT - Data clean-up resources

@echo off
cls

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO DATA LAB - CLEAN-UP RESOURCES.  Clean up DATA db and DB2PROD instance
ECHO ---------------------------------------------------------------------
ECHO.

REM
REM DROP existing DATA database if any
REM

ECHO.
ECHO ---------------------------------------------------------------------
ECHO DROP DATA DATABASE FROM DB2 INSTANCE
ECHO ---------------------------------------------------------------------
ECHO.

set db2instance=db2
db2 connect to data 					> NUL
db2 QUIESCE DATABASE IMMEDIATE FORCE CONNECTIONS  	> NUL
db2 UNQUIESCE DATABASE  				> NUL
db2 CONNECT RESET  					> NUL
db2 terminate  						> NUL
db2 deactivate db data  				> NUL
db2stop FORCE  						> NUL
db2start 						> NUL
db2 drop database data 					> NUL
db2 drop database data2 				> NUL

ECHO.
ECHO ---------------------------------------------------------------------
ECHO DROP DATAPROD DATABASE FROM DB2PROD INSTANCE
ECHO ---------------------------------------------------------------------
ECHO.

set db2instance=db2prod
db2 connect to data 					> NUL
db2 QUIESCE DATABASE IMMEDIATE FORCE CONNECTIONS  	> NUL
db2 UNQUIESCE DATABASE  				> NUL
db2 CONNECT RESET  					> NUL
db2 terminate  						> NUL
db2 deactivate db dataprod  				> NUL
db2stop FORCE  						> NUL
db2start 						> NUL
db2 drop database dataprod 				> NUL

ECHO.
ECHO ---------------------------------------------------------------------
ECHO DROP DB2PROD INSTANCE
ECHO ---------------------------------------------------------------------
ECHO.

db2stop FORCE  						> NUL
db2idrop db2prod 					> NUL

del "C:\Documents and Settings\All Users\Application Data\IBM\DB2\DB2COPY1\DB2PROD\stmmlog\stmm.0.log" /s/q/f > NUL


ECHO DELETE C:\DB2PROD Directories
ECHO.

IF EXIST  C:\db2Prod\nul (
   rmdir "C:\db2prod" /s/q 				> NUL
)

IF EXIST  C:\POT_DB2\12DATA\DUMP\nul (
   rmdir "C:\POT_DB2\12DATA\DUMP" /s/q 			> NUL
)


IF EXIST "C:\Documents and Settings\All Users\Application Data\IBM\DB2\DB2COPY1\DB2PROD"  (
   rmdir "C:\Documents and Settings\All Users\Application Data\IBM\DB2\DB2COPY1\DB2PROD" /s/q 	> NUL
)

set db2instance=db2


ECHO.
ECHO ---------------------------------------------------------------------
ECHO DELETE ALL OUTPUT FILES FROM C:\POT_DB2\12DATA Directory
ECHO ---------------------------------------------------------------------
ECHO.

del "C:\POT_DB2\12DATA\*_OUTPUT.TXT" 	/s/q/f 		> NUL
del "C:\POT_DB2\12DATA\*.OUT" 		/s/q/f 		> NUL


DB2 UNCATALOG DATABASE DATAPROD
DB2 TERMINATE
