::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Vikram Khatri (vikram.khatri@us.ibm.com)
::  Burt.Vialpando (burt.vialpando@us.ibm.com)
::

REM ------------------------------------------------------------------- 
REM CREATE A BKPTEST DATABASE and take an offline backup of it  
REM ------------------------------------------------------------------- 

TITLE Backup01.CMD - Offline Backup

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls

ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% > %OUTFILE%
ECHO.
ECHO ---------------------------------------------------------------------
ECHO Preparing the lab envirionment...
ECHO ---------------------------------------------------------------------
ECHO.

REM
REM DROP existing BKPTEST database if any
REM


db2 terminate				>> %OUTFILE%
set db2instance=db2			>> %OUTFILE%
db2set db2_compatibility_vector=	>> %OUTFILE%
db2set db2_sqlroutine_prepopts=		>> %OUTFILE%
db2 get instance			>> %OUTFILE%
db2stop force				>> %OUTFILE%
db2start				>> %OUTFILE%
db2 drop database bkptest 		>> %OUTFILE%

ECHO.
ECHO ---------------------------------------------------------------------
ECHO CREATING DATABASE BKPTEST
ECHO ---------------------------------------------------------------------
ECHO.

db2 CREATE DATABASE BKPTEST 		>> %OUTFILE%

ECHO.
ECHO ---------------------------------------------------------------------
ECHO CREATING TABLE BACKUPTEST AND INSERTING 25000 ROWS INTO IT
ECHO ---------------------------------------------------------------------
ECHO.

db2 -tf Backup41.DDL 			>> %OUTFILE%


ECHO.
ECHO ---------------------------------------------------------------------
ECHO CREATING BACKUP DIRECTORIES
ECHO ---------------------------------------------------------------------
ECHO.

REM
REM Check if C:\db2backup directory exists or not. If not create a new one.
REM

IF NOT EXIST C:\db2backup\nul (
  ECHO.
  ECHO CREATING C:\DB2backup directory
  ECHO.
  mkdir c:\DB2Backup
)

REM
REM Check if C:\db2loaddata directory exists or not. If not create a new one.
REM

IF NOT EXIST C:\DB2LoadData\nul (
  ECHO.
  ECHO CREATING C:\db2loaddata directory
  ECHO.
  mkdir C:\DB2LoadData
)

REM
REM Check if C:\DB2NewLoc directory exists or not. If not create a new one.
REM

IF NOT EXIST C:\DB2NewLoc\nul (
  ECHO.
  ECHO CREATING C:\DB2NewLoc directory
  ECHO.
  mkdir C:\DB2NewLoc
)

ECHO.
ECHO ---------------------------------------------------------------------
ECHO DEACTIVATING DATABASE BKPTEST
ECHO ---------------------------------------------------------------------
ECHO.

db2 CONNECT TO BKPTEST  				>> %OUTFILE%
db2 QUIESCE DATABASE IMMEDIATE FORCE CONNECTIONS  	>> %OUTFILE%
db2 UNQUIESCE DATABASE  				>> %OUTFILE%
db2 TERMINATE  						>> %OUTFILE%
db2 DEACTIVATE DB BKPTEST 				>> %OUTFILE%



ECHO ---------------------------------------------------------------------
ECHO STARTING OFFLINE BACKUP OF DATABASE BKPTEST
ECHO ---------------------------------------------------------------------
ECHO.

db2 BACKUP DATABASE BKPTEST TO "C:\DB2Backup" WITHOUT PROMPTING  >> %OUTFILE%


ECHO.
ECHO ---------------------------------------------------------------------
ECHO Note: The heart of the lesson of this script is the BACKUP DATABASE 
ECHO       command.  Please review that portion carefully.
ECHO       Check the OUTPUT FILE '%OUTFILE%' and see what the backup
ECHO       timestamp is for database BKPTEST
ECHO ---------------------------------------------------------------------
ECHO.
