::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Vikram Khatri (vikram.khatri@us.ibm.com)
::  Burt.Vialpando (burt.vialpando@us.ibm.com)
::

REM ------------------------------------------------------------------------- 
REM RESTORE BKPTEST DATABASE FROM BACKUP IMAGE
REM ------------------------------------------------------------------------- 

TITLE Backup03.CMD - Restore from backup

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls

ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% > %OUTFILE%
ECHO.
ECHO ---------------------------------------------------------------------
ECHO RESTORE BKPTEST DATABASE FROM BACKUP 
ECHO (Check 25000 rows in BACKUPTEST table)
ECHO ---------------------------------------------------------------------
ECHO.

REM
REM RESTORE BKPTEST DATABASE OFFLINE
REM

ECHO.
ECHO ---------------------------------------------------------------------
ECHO DEACTIVATE BKPTEST DATABASE
ECHO ---------------------------------------------------------------------
ECHO.


db2 CONNECT TO BKPTEST  				>> %OUTFILE%
db2 QUIESCE DATABASE IMMEDIATE FORCE CONNECTIONS  	>> %OUTFILE%
db2 UNQUIESCE DATABASE  				>> %OUTFILE%
db2 TERMINATE  						>> %OUTFILE%
db2 DEACTIVATE DB BKPTEST 				>> %OUTFILE%



ECHO ---------------------------------------------------------------------
ECHO --------------------------------------------------------------------- 	>> %OUTFILE%

FOR /F "tokens=1" %%K in ('call Backup21.bat') do SET TIMESTAMP=%%K

ECHO RESTORING DATABASE BKPTEST TAKEN AT %timestamp%
ECHO RESTORING DATABASE BKPTEST TAKEN AT %timestamp% 	>> %OUTFILE%


db2 RESTORE DATABASE BKPTEST FROM "c:\db2backup" TAKEN AT %timestamp% WITHOUT PROMPTING >> %OUTFILE%


ECHO ---------------------------------------------------------------------
ECHO --------------------------------------------------------------------- 	>> %OUTFILE%

db2 connect to bkptest 								>> %OUTFILE%
db2 "select count(*) BACKUPTEST FROM BACKUPTEST"				>> %OUTFILE%
db2 connect reset 								>> %OUTFILE%

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Note: The heart of the lesson of this script is the db2 RESTORE 
ECHO       DATABASE COMMAND.  Please review that portion carefully.
ECHO       Check the OUTPUT FILE '%OUTFILE%' and note the SELECT
ECHO       from the restored database.
ECHO ---------------------------------------------------------------------
ECHO.

