::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Vikram Khatri (vikram.khatri@us.ibm.com)
::  Burt.Vialpando (burt.vialpando@us.ibm.com)
::

REM ------------------------------------------------------------------------- 
REM CONFIGURE DATABASE LOGGING (BKPTEST DATABASE)
REM ------------------------------------------------------------------------- 

REM Step - 1 : UPDATE LOGARCHMETH1 and other logging parameters
REM Step - 2 : Take OFFLINE BACKUP of BKPTEST DATABASE

TITLE Backup04.CMD - Configure for online backup

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls

ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% > %OUTFILE%
ECHO.
ECHO ---------------------------------------------------------------------
ECHO CONFIGURE DATABASE LOGGING (BKPTEST DATABASE)
ECHO ---------------------------------------------------------------------
ECHO.

ECHO.
ECHO ---------------------------------------------------------------------
ECHO STEP - 1 : Turn on ARCHIVAL LOGGING for BKPTEST Database
ECHO ---------------------------------------------------------------------
ECHO.

REM
REM Check if C:\DB2PrimaryLogArch directory exists or not. If not create a new one.
REM

IF NOT EXIST C:\DB2PrimaryLogArch\nul (
  ECHO.
  ECHO ---------------------------------------------------------------------
  ECHO CREATING C:\DB2PrimaryLogArch directory
  ECHO ---------------------------------------------------------------------
  ECHO.
  mkdir C:\DB2PrimaryLogArch >> %OUTFILE%
)

REM
REM Check if C:\DB2LOG directory exists or not. If not create a new one.
REM

IF NOT EXIST C:\DB2LOG\nul (
  ECHO.
  ECHO ---------------------------------------------------------------------
  ECHO CREATING C:\DB2LOG directory
  ECHO ---------------------------------------------------------------------
  ECHO.
  mkdir C:\DB2LOG >> %OUTFILE%
)

REM
REM Check if C:\DB2MirrorLog directory exists or not. If not create a new one.
REM

IF NOT EXIST C:\DB2MirrorLog\nul (
  ECHO.
  ECHO ---------------------------------------------------------------------
  ECHO CREATING C:\DB2MirrorLog directory
  ECHO ---------------------------------------------------------------------
  ECHO.
  mkdir C:\DB2MirrorLog >> %OUTFILE%
)

REM
REM Check if C:\DB2FailureLogArch directory exists or not. If not create a new one.
REM

IF NOT EXIST C:\DB2FailureLogArch\nul (
  ECHO.
  ECHO ---------------------------------------------------------------------
  ECHO CREATING C:\DB2FailureLogArch directory
  ECHO ---------------------------------------------------------------------
  ECHO.
  mkdir C:\DB2FailureLogArch >> %OUTFILE%
)

REM    UPDATE DB CFG FOR BKPTEST USING 
REM       logarchmeth1 	"DISK:C:\DB2PrimaryLogArch"   =========> This parameters turns on Archival Logging
REM       logprimary 	10 	
REM       logsecond 	3 
REM       logfilsiz 	1000 
REM       newlogpath 	"C:\DB2LOG" 
REM       mirrorlogpath "C:\DB2MirrorLog" 
REM       failarchpath 	"C:\DB2FailureLogArch"

db2 connect to bkptest		>> %OUTFILE%

db2 -td@ -vf Backup44.DB2 	>> %OUTFILE%

db2 terminate  			>> %OUTFILE%

ECHO.
ECHO ---------------------------------------------------------------------
ECHO DEACTIVATE BKPTEST DATABASE
ECHO ---------------------------------------------------------------------
ECHO.


db2 CONNECT TO BKPTEST  				>> %OUTFILE%
db2 QUIESCE DATABASE IMMEDIATE FORCE CONNECTIONS  	>> %OUTFILE%
db2 UNQUIESCE DATABASE  				>> %OUTFILE%
db2 TERMINATE  						>> %OUTFILE%
db2 DEACTIVATE DB BKPTEST 				>> %OUTFILE%


ECHO.
ECHO ---------------------------------------------------------------------
ECHO STEP - 2: TAKE OFFLINE COMPRESSED BACKUP OF BKPTEST DATABASE
ECHO ---------------------------------------------------------------------
ECHO.

DB2 BACKUP DATABASE BKPTEST TO "C:\DB2BACKUP" COMPRESS WITHOUT PROMPTING >> %OUTFILE%

ECHO ---------------------------------------------------------------------
ECHO Note: The heart of the lesson of this script is the UPDATE DB CFG 
ECHO       command. Please review that portion carefully in file 
ECHO       Backup44.DB2 for details.  Also, review OUTPUT FILE '%OUTFILE%'
ECHO ---------------------------------------------------------------------
ECHO.
