::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Vikram Khatri (vikram.khatri@us.ibm.com)
::

REM ------------------------------------------------------------------------- 
REM RECOVER BKPTEST DATABASE FROM LAST BACKUP IMAGE and ROLL FORWARD TRANSACTIONS
REM EXAMPLE OF "RESTORE FROM ON-LINE BACKUP"
REM ------------------------------------------------------------------------- 

TITLE Backup07.CMD - Restore w/Roll Foward

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls

ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% > %OUTFILE%
ECHO.
ECHO ---------------------------------------------------------------------
ECHO RESTORE BKPTEST DATABASE FROM LAST ONLINE BACKUP and 
ECHO ROLL FORWARD TRANSACTIONS
ECHO ---------------------------------------------------------------------
ECHO.

REM
REM RECOVER BKPTEST DATABASE ONLINE
REM

FOR /F "tokens=1" %%K in ('call Backup22.bat') do SET TIMESTAMP=%%K

ECHO RESTORING DATABASE BKPTEST TAKEN AT %timestamp%
ECHO RESTORING DATABASE BKPTEST TAKEN AT %timestamp% 	>> %OUTFILE%

ECHO.
ECHO ---------------------------------------------------------------------
ECHO DEACTIVATE AND DROP BKPTEST DATABASE
ECHO ---------------------------------------------------------------------
ECHO.

db2 CONNECT TO BKPTEST  				>> %OUTFILE%
db2 QUIESCE DATABASE IMMEDIATE FORCE CONNECTIONS  	>> %OUTFILE%
db2 UNQUIESCE DATABASE  				>> %OUTFILE%
db2 TERMINATE  						>> %OUTFILE%
db2 DEACTIVATE DB BKPTEST 				>> %OUTFILE%
db2 DROP DB BKPTEST 					>> %OUTFILE%

ECHO.
ECHO ---------------------------------------------------------------------
ECHO RESTORE BKPTEST DATABASE
ECHO ---------------------------------------------------------------------
ECHO.

ECHO. 											>> %OUTFILE%
ECHO -------------------------------------------------------------------------------	>> %OUTFILE%
ECHO RESTORE OF BKPTEST DATABASE FOR TIMESTAMP %timestamp% 				>> %OUTFILE%
ECHO ------------------------------------------------------------------------------- 	>> %OUTFILE%
ECHO. 											>> %OUTFILE%

db2 RESTORE DATABASE BKPTEST FROM "c:\db2backup" TAKEN AT %timestamp% 			>> %OUTFILE%

ECHO. 											>> %OUTFILE%
ECHO ------------------------------------------------------------------------------- 	>> %OUTFILE%
ECHO Roll-FORWARD BKPTEST DATABASE 							>> %OUTFILE%
ECHO ------------------------------------------------------------------------------- 	>> %OUTFILE%
ECHO. 											>> %OUTFILE%

db2 rollforward database bkptest to end of logs and complete 	>> %OUTFILE%

db2 CONNECT TO BKPTEST  					>> %OUTFILE%
db2 "select count(*) BACKUPTEST from BACKUPTEST"
db2 "select count(*) BKPLOAD from BKPLOAD"
db2 "select count(*) BACKUPTEST from BACKUPTEST" 		>> %OUTFILE%
db2 "select count(*) BKPLOAD from BKPLOAD" 			>> %OUTFILE%
db2 CONNECT RESET  						>> %OUTFILE%

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Note: The heart of the lesson of this script is two db2 commandS: 
ECHO       RESTORE DATABASE BKPTEST" and "ROLLFORWARD DATABASE BKPTEST.
ECHO       Please review that portion carefully.
ECHO       Check the OUTPUT FILE '%OUTFILE%'
ECHO ---------------------------------------------------------------------
ECHO.
