::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Vikram Khatri (vikram.khatri@us.ibm.com)
::

REM ------------------------------------------------------------------- 
REM GENERATE REDIRECTED RESTORE SCRIPT FROM ONLINE BACKUP                                                 
REM ------------------------------------------------------------------- 

TITLE Backup10.CMD - Generate Redirected Restore Script

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls


ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% > %OUTFILE%
ECHO.
ECHO ---------------------------------------------------------------------
ECHO GENERATE REDIRECTED RESTORE SCRIPT FROM THE ONLINE BACKUP FILE
ECHO ---------------------------------------------------------------------
ECHO.

REM
REM Check if C:\DB2NEWLOC directory exists or not. If not create a new one.
REM

IF NOT EXIST C:\DB2NEWLOC\nul (
  ECHO.
  ECHO CREATING C:\DB2NEWLOC directory
  ECHO.
  mkdir C:\DB2NEWLOC
)

FOR /F "tokens=1" %%K in ('call Backup22.bat') do SET TIMESTAMP=%%K

ECHO GENERATE REDIRECTED RESTORE SCRIPT OF BKPTEST DATABASE FOR TIMESTAMP %timestamp% >> %OUTFILE%


db2 RESTORE DATABASE BKPTEST FROM "c:\db2backup" TAKEN AT %timestamp% REDIRECT GENERATE SCRIPT redirect.SQL >> %OUTFILE%


ECHO.
ECHO ---------------------------------------------------------------------
ECHO Note: The heart of this script is the RESTORE REDIRECT GENERATE SCRIPT
ECHO       Modify generated script redirect.SQL to run redirected restore
ECHO ---------------------------------------------------------------------
ECHO.

