::  DB2 V9.5 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Vikram Khatri (vikram.khatri@us.ibm.com)
::

REM ------------------------------------------------------------------- 
REM ONLINE BACKUP / RESTORE / RECOVERY OF TABLE SPACES                                               
REM ------------------------------------------------------------------- 

TITLE Backup11.CMD - Online Table space restore

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls


ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% > %OUTFILE%
ECHO.
ECHO ---------------------------------------------------------------------
ECHO ONLINE BACKUP / RESTORE / RECOVERY OF TABLESPACES  
ECHO ---------------------------------------------------------------------
ECHO.

ECHO.
ECHO =====================================================================
ECHO Step 1: Create 1000 rows in table: BACKUPTEST 
ECHO =====================================================================
ECHO.

db2 connect to bkptest 		>> %OUTFILE%
db2 delete from backuptest 	>> %OUTFILE%
db2 connect reset 		>> %OUTFILE%

db2 -tvf Backup51.DDL 		>> %OUTFILE%

ECHO.
ECHO =====================================================================
ECHO Step 3: TAKE ONLINE BACKUP OF DATA16 and IDX16 TABLESPACES
ECHO =====================================================================
ECHO.

db2 backup database BKPTEST tablespace (HDATA16,HIDX16) online to c:\db2backup >> %OUTFILE%

ECHO.
ECHO =====================================================================
ECHO Step 4: Create another 1000 rows in tale: BACKUPTEST 
ECHO =====================================================================
ECHO.

db2 -tvf Backup51.DDL 		>> %OUTFILE%

ECHO.
ECHO =====================================================================
ECHO Step 5: RESTORE HDATA16 and HIDX16 TABLESPACES FROM ONLINE BACKUP
ECHO =====================================================================
ECHO.

FOR /F "tokens=1" %%K in ('call Backup22.bat') do SET TIMESTAMP=%%K

ECHO.
ECHO ---------------------------------------------------------------------
ECHO STARTING RESTORE OF BKPTEST DATABASE tablespace (HDATA16,HIDX16) 
ECHO    FOR TIMESTAMP %timestamp% (This is the key to this exercise)
ECHO STARTING RESTORE OF BKPTEST DATABASE tablespace (HDATA16,HIDX16) 				>> %OUTFILE%
ECHO    FOR TIMESTAMP %timestamp% 								>> %OUTFILE%
ECHO ---------------------------------------------------------------------
ECHO.

db2 restore database bkptest tablespace (HDATA16,HIDX16) online from c:\db2backup taken at %timestamp% without prompting >> %OUTFILE%

db2 rollforward database bkptest to end of logs and complete tablespace(HDATA16,HIDX16) online >> %OUTFILE%

ECHO.
ECHO =====================================================================
ECHO Step 6: CHECK ROWS IN TABLE: BACKUPTEST
ECHO =====================================================================
ECHO.

db2 Connect to bkptest 					>> %OUTFILE%
db2 "select count(*) BACKUPTEST from BACKUPTEST"
db2 "select count(*) BACKUPTEST from BACKUPTEST"  	>> %OUTFILE%
db2 connect reset 					>> %OUTFILE%

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Note: The heart of this script is RESTORE ONLINE AND ROLLFORWARD
ECHO       Please review these two commands carefully.
ECHO       Check the OUTPUT FILE '%OUTFILE%'
ECHO ---------------------------------------------------------------------
ECHO.