::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  vikram Khatri (vikram.khatri@us.ibm.com)
::

REM ------------------------------------------------------------------- 
REM DELTA BACKUP / RESTORE / RECOVERY OF TABLE SPACES                                               
REM ------------------------------------------------------------------- 

TITLE Backup13.CMD - Delta backup and Restore

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls


ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% > %OUTFILE%
ECHO.
ECHO ---------------------------------------------------------------------
ECHO DELTA BACKUP / RESTORE / RECOVERY OF TABLE SPACES  
ECHO ---------------------------------------------------------------------
ECHO.

ECHO.
ECHO =====================================================================
ECHO Step 1: CHECKING TRACKMOD PARAMETER
ECHO =====================================================================
ECHO.

REM
REM CHECK FOR TRACKMOD FOR BKPTEST DATABASE
REM IF NOT SET, SET THIS PARAMETER 

FOR /F "tokens=6" %%K in ('db2 get db cfg for bkptest ^| findstr /I /C:"trackmod"') do SET TRACKMOD=%%K >> %OUTFILE%
IF "%TRACKMOD%" NEQ "ON " (
   ECHO TRACKMOD IS NOT SET FOR BKPTEST DATABASE. SETTING IT UP NOW.
   db2 update db cfg for bkptest using trackmod on >> %OUTFILE%
   db2 terminate >> %OUTFILE%
)


ECHO.
ECHO =====================================================================
ECHO Step 2: Create 1000 rows in BACKUPTEST TABLE
ECHO =====================================================================
ECHO.

db2 connect to bkptest 					>> %OUTFILE%
db2 delete from backuptest 				>> %OUTFILE%
db2 connect reset 					>> %OUTFILE%

db2 -tvf Backup51.DDL 					>> %OUTFILE%

ECHO.
ECHO =====================================================================
ECHO Step 3: TAKE ONLINE BACKUP OF BKPTEST DATABASE
ECHO =====================================================================
ECHO.

db2 BACKUP DATABASE BKPTEST ONLINE TO "C:\DB2Backup" COMPRESS  UTIL_IMPACT_PRIORITY 50 WITHOUT PROMPTING >> %OUTFILE%

ECHO.
ECHO =====================================================================
ECHO Step 4: Create another 1000 rows in BACKUPTEST TABLE
ECHO =====================================================================
ECHO.

db2 -tvf Backup51.DDL 					>> %OUTFILE%


ECHO.
ECHO =====================================================================
ECHO Step 5: TAKE 1st DELTA BACKUP OF BKPTEST
ECHO         (1st Key step in this exercise)
ECHO =====================================================================
ECHO.

db2 backup database bkptest online incremental delta to c:\db2backup COMPRESS UTIL_IMPACT_PRIORITY 50 WITHOUT PROMPTING >> %OUTFILE%


ECHO.
ECHO =====================================================================
ECHO Step 6: Create another 1000 rows in BACKUPTEST TABLE
ECHO =====================================================================
ECHO.

db2 -tvf Backup51.DDL 					>> %OUTFILE%

ECHO.
ECHO =====================================================================
ECHO Step 7: TAKE 2nd DELTA BACKUP OF BKPTEST
ECHO =====================================================================
ECHO.

db2 backup database bkptest online incremental delta to c:\db2backup COMPRESS  UTIL_IMPACT_PRIORITY 50 WITHOUT PROMPTING >> %OUTFILE%

ECHO.
ECHO =====================================================================
ECHO Step 8: Create another 1000 rows in BACKUPTEST TABLE
ECHO =====================================================================
ECHO.

db2 -tvf Backup51.DDL 					>> %OUTFILE%

ECHO.
ECHO =====================================================================
ECHO Step 9: APPLY DELTA BACKUP (AUTOMATIC) TO BKPTEST DATABASE
ECHO         (2nd Key step in this exercise)
ECHO =====================================================================
ECHO.

FOR /F "tokens=1" %%K in ('call Backup25.bat') do SET TIMESTAMP=%%K

ECHO STARTING INCREMENTAL DELTA RESTORE OF BKPTEST DATABASE FOR TIMESTAMP %timestamp% >> %OUTFILE%

db2 restore database bkptest incremental automatic from c:\db2backup taken at %timestamp% without prompting >> %OUTFILE%

ECHO.
ECHO =====================================================================
ECHO Step 10: Roll forward Transactions
ECHO          (3rd Key step in this exercise)
ECHO =====================================================================
ECHO.

db2 rollforward database bkptest to end of logs and complete >> %OUTFILE%

ECHO.
ECHO =====================================================================
ECHO Step 11: CHECK ROWS IN BACKUPTEST TABLE
ECHO =====================================================================
ECHO.

db2 Connect to bkptest 					>> %OUTFILE%
db2 "select count(*) BACKUPTEST from BACKUPTEST"
db2 "select count(*) BACKUPTEST from BACKUPTEST"        >> %OUTFILE%
db2 connect reset 					>> %OUTFILE%

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Note: The heart of this script is "backup database bkptest incremental"
ECHO       "delta restore database incremental automatic" and "Rollforward"
ECHO       Please review these three commands carefully.
ECHO       Check the OUTPUT FILE '%OUTFILE%'
ECHO ---------------------------------------------------------------------
ECHO.
