-- ---------------------------------------------------------------------
-- Lab 13 Backup - 1. Create BACKUPTEST table
--                 2. Create an index on this table
-- --------------------------------------------------------------------- 

CONNECT TO BKPTEST;

DROP 	TABLE BACKUPTEST;
DROP 	TABLESPACE HDATA16;
DROP 	BUFFERPOOL HDATA16;

CREATE 	BUFFERPOOL HDATA16 IMMEDIATE  SIZE 100 PAGESIZE 16 K;
CREATE  REGULAR  TABLESPACE HDATA16 PAGESIZE 16 K  MANAGED BY DATABASE  
	USING ( FILE 'C:\DB2\BackupHData1601.dat' 2000 ) EXTENTSIZE 16 OVERHEAD 10.5 PREFETCHSIZE 16 TRANSFERRATE 0.14 	BUFFERPOOL  HDATA16  DROPPED TABLE RECOVERY ON;

DROP 	TABLESPACE HIDX16;
DROP 	BUFFERPOOL HIDX16;

CREATE 	BUFFERPOOL HIDX16 IMMEDIATE  SIZE 50 PAGESIZE 16 K;
CREATE  REGULAR  TABLESPACE HIDX16 PAGESIZE 16 K  MANAGED BY DATABASE  
	USING ( FILE 'C:\DB2\BackupHIndex1601.dat' 600 ) EXTENTSIZE 16 OVERHEAD 10.5 PREFETCHSIZE 16 TRANSFERRATE 0.14 	BUFFERPOOL  HIDX16  DROPPED TABLE RECOVERY ON;

CREATE TABLE BACKUPTEST
(
   backup_id    INTEGER NOT NULL GENERATED ALWAYS AS IDENTITY (START WITH 100000, INCREMENT BY 5),
   SSN            CHAR(11) 	NOT NULL,
   FIRST_NAME     VARCHAR(20) 	NOT NULL,
   LAST_NAME      VARCHAR(20) 	NOT NULL,
   job_code       CHAR(4) 	NOT NULL,
   dept           SMALLINT 	NOT NULL,
   salary         DECIMAL(12,2) NOT NULL,
   DOB            DATE NOT NULL WITH DEFAULT,
   CONSTRAINT 	  pk_BACKUPTEST PRIMARY KEY (backup_id)
) in HDATA16
  index in HIDX16;

INSERT INTO BACKUPTEST (SSN,FIRST_NAME,LAST_NAME,job_code,dept,salary,DOB)
WITH temp1 (s1,r1,r2,r3,r4) AS
(VALUES (0
,RAND(2)
,RAND()+(RAND()/1E5)
,RAND()* RAND()
,RAND()* RAND()* RAND())
UNION ALL
SELECT s1 + 1
,RAND()
,RAND()+(RAND()/1E5)
,RAND()* RAND()
,RAND()* RAND()* RAND()
FROM temp1
WHERE s1 < 24999
)
SELECT SUBSTR(DIGITS(INT(r2*988+10)),8) ||'-'||
       SUBSTR(DIGITS(INT(r1*88+10)),9) || '-' ||
       TRANSLATE(SUBSTR(DIGITS(s1),7),'9873450126','0123456789'),
       CHR(INT(r1*26+65))|| CHR(INT(r2*26+97))|| CHR(INT(r3*26+97))||CHR(INT(r4*26+97))|| CHR(INT(r3*10+97))|| CHR(INT(r3*11+97)),
       CHR(INT(r2*26+65))||TRANSLATE(CHAR(INT(r2*1E7)),'aaeeiibmty','0123456789'),       
       CASE
         WHEN INT(r4*9) > 7 THEN 'MGR'
         WHEN INT(r4*9) > 5 THEN 'SUPR'
         WHEN INT(r4*9) > 3 THEN 'PGMR'
         WHEN INT(R4*9) > 1 THEN 'SEC'
         ELSE 'WKR'
       END,
       INT(r3*98+1),
       DECIMAL(r4*99999,7,2),
       DATE('1930-01-01') + INT(50-(r4*50)) YEARS + INT(r4*11) MONTHS + INT(r4*27) DAYS
FROM temp1;

CONNECT RESET;