-- ---------------------------------------------------------------------
-- Lab 13 Backup - Prepare BACKLOAD and BACKUPTEST tables
-- --------------------------------------------------------------------- 

CONNECT TO BKPTEST;

drop table BKPLOAD;

CREATE TABLE BKPLOAD  (
  	  ST_PARTKEY INTEGER NOT NULL , 
  	  ST_SUPPKEY INTEGER NOT NULL , 
  	  ST_AVAILQTY INTEGER NOT NULL , 
  	  ST_SUPPLYCOST DOUBLE NOT NULL) 
	in HDATA16
	index in HIDX16;
      
CREATE INDEX PK_BKPLOAD ON BKPLOAD 
  	(ST_PARTKEY ASC);
   
CREATE UNIQUE INDEX UIX_01_BKPLOAD ON BKPLOAD  
  	(ST_PARTKEY ASC,
  	 ST_SUPPKEY ASC);

CREATE INDEX IX_01_BKPLOAD ON BKPLOAD   
  	(ST_SUPPKEY ASC);

-- Insert 25000 rows in BACKUPTEST table

INSERT INTO BACKUPTEST (SSN,FIRST_NAME,LAST_NAME,job_code,dept,salary,DOB)
WITH temp1 (s1,r1,r2,r3,r4) AS
(VALUES (0
,RAND(2)
,RAND()+(RAND()/1E5)
,RAND()* RAND()
,RAND()* RAND()* RAND())
UNION ALL
SELECT s1 + 1
,RAND()
,RAND()+(RAND()/1E5)
,RAND()* RAND()
,RAND()* RAND()* RAND()
FROM temp1
WHERE s1 < 24999
)
SELECT SUBSTR(DIGITS(INT(r2*988+10)),8) ||'-'||
       SUBSTR(DIGITS(INT(r1*88+10)),9) || '-' ||
       TRANSLATE(SUBSTR(DIGITS(s1),7),'9873450126','0123456789'),
       CHR(INT(r1*26+65))|| CHR(INT(r2*26+97))|| CHR(INT(r3*26+97))||CHR(INT(r4*26+97))|| CHR(INT(r3*10+97))|| CHR(INT(r3*11+97)),
       CHR(INT(r2*26+65))||TRANSLATE(CHAR(INT(r2*1E7)),'aaeeiibmty','0123456789'),       
       CASE
         WHEN INT(r4*9) > 7 THEN 'MGR'
         WHEN INT(r4*9) > 5 THEN 'SUPR'
         WHEN INT(r4*9) > 3 THEN 'PGMR'
         WHEN INT(R4*9) > 1 THEN 'SEC'
         ELSE 'WKR'
       END,
       INT(r3*98+1),
       DECIMAL(r4*99999,7,2),
       DATE('1930-01-01') + INT(50-(r4*50)) YEARS + INT(r4*11) MONTHS + INT(r4*27) DAYS
FROM temp1;

-- LOAD 50000 rows in BKPLOAD Table

LOAD FROM "C:\POT_DB2\13BACKUP\BACKUP45.DAT" OF DEL MODIFIED BY COLDEL|  MESSAGES "C:\POT_DB2\13BACKUP\Backup45.MSG" REPLACE INTO BKPLOAD STATISTICS USE PROFILE COPY YES TO "C:\DB2LoadData" INDEXING MODE AUTOSELECT LOCK WITH FORCE;

CONNECT RESET;
