::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Vikram Khatri (vikram.khatri@us.ibm.com)
::

REM ------------------------------------------------------------------- 
REM Monitor HADR on Primary and Standby Databases using snapshots
REM ------------------------------------------------------------------- 

TITLE HADR03.CMD - Monitor HADR status using snapshots

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls


ECHO.
ECHO ---------------------------------------------------------------------
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% > %OUTFILE%
ECHO Show HADR Status for Primary and Standby Databases
ECHO ---------------------------------------------------------------------
ECHO.


db2 attach to db2_p 		>> %OUTFILE%
db2 connect to hadbp 		>> %OUTFILE%

ECHO ---------------------------------------------------------------------
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO HADR Status using snapshots
ECHO HADR Status using snapshots >> %OUTFILE%
ECHO ---------------------------------------------------------------------
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO.

db2 get snapshot for all on hadbp | grep "HADR Status" --after-context=14
db2 get snapshot for all on hadbp | grep "HADR Status" --after-context=14 >> %OUTFILE%

db2 attach to db2_s 		>> %OUTFILE%
db2 connect to hadbs 		>> %OUTFILE%

ECHO.
ECHO ---------------------------------------------------------------------
ECHO --------------------------------------------------------------------- >> %OUTFILE%
ECHO HADR Status using db2pd
ECHO HADR Status using db2pd  	>> %OUTFILE%
ECHO ---------------------------------------------------------------------
ECHO --------------------------------------------------------------------- >> %OUTFILE%

ECHO.

set db2instance=db2_p

db2pd -alldbs -hadr
db2pd -alldbs -hadr 		>> %OUTFILE%

set db2instance=db2
db2 connect reset 		>> %OUTFILE%