
---------------------------------------------------------------
-- SQL to see the WLM environment in the database
---------------------------------------------------------------

-- workload heirachy

SELECT 	SUBSTR(WK.WORKLOADNAME,1,25) AS WORKLOAD, 
	SUBSTR(SV.PARENTSERVICECLASSNAME,1,20) AS SUPER_SERVICE_CLASS,
	SUBSTR(SV.SERVICECLASSNAME,1,20) AS SUB_SERVICE_CLASS,
	SUBSTR(WS.ACTIONSETNAME,1,15) AS WORK_ACTION_SET,
	SUBSTR(WA.ACTIONNAME,1,15) AS WORK_ACTION,
	SUBSTR(WS.WORKCLASSSETNAME,1,15) AS WORK_CLASS_SET,
	SUBSTR(WA.WORKCLASSNAME,1,15) AS WORK_CLASS
FROM	(SYSCAT.WORKLOADS WK 		
	LEFT JOIN SYSCAT.SERVICECLASSES SV 
	     ON WK.SERVICECLASSNAME = SV.PARENTSERVICECLASSNAME)
	LEFT JOIN SYSCAT.WORKACTIONSETS WS 
	     ON WS.OBJECTNAME = SV.PARENTSERVICECLASSNAME
	LEFT JOIN SYSCAT.WORKACTIONS WA
	     ON WA.ACTIONSETNAME = WS.ACTIONSETNAME 
ORDER	BY 1,2,3,4,5;


-- thresholds

SELECT 	SUBSTR(THRESHOLDNAME,1,35) AS THRESHOLD,
	SUBSTR(THRESHOLDPREDICATE,1,15) AS PREDICATE, 
	DECODE(THRESHOLDCLASS,'A','AGGREGATE','C','ACTIVITY','OTHER') AS CLASS,
	DECODE(DOMAIN,'WD','WORKLOAD','WA','WORKACTION','DB','DATABASE','SB','SERVICE SUBCLASS','SP','SERVICE SUPERCLASS','OTHER') AS DOMAIN,
	DECODE(ENFORCEMENT,'W','WORKLOAD','D','DATABASE','P','PARTITION','OTHER') AS ENFORCED_AT
FROM	SYSCAT.THRESHOLDS 
ORDER BY DOMAIN, PREDICATE;


-- event monitors

SELECT 	SUBSTR(EVMONNAME,1,35) AS EVENT_MONITOR,
	SUBSTR(OWNER,1,10) AS OWNER, 
	DECODE(OWNERTYPE,'U','USER','SYSTEM') AS TARGET_TYPE,
	DECODE(TARGET_TYPE,'F','FILE','T','TABLE','P','PIPE','UNFORMATTED') AS TARGET_TYPE,
	SUBSTR(TARGET,1,20) AS TARGET	
FROM	SYSCAT.EVENTMONITORS
ORDER BY 1;