
---------------------------------------------------------------
-- THIS SCRIPT DROPS AN ENTIRE WLM ENVIRONMENT
---------------------------------------------------------------

---------------------------------------------------------------
-- set all existing work to default workload
---------------------------------------------------------------

SET WORKLOAD TO SYSDEFAULTADMWORKLOAD;


---------------------------------------------------------------
-- drop work action sets
---------------------------------------------------------------

ALTER	WORK ACTION SET "Admin_Actions" DISABLE;
ALTER	WORK ACTION SET "Admin_Actions" DROP WORK ACTION "Map_Writes";
ALTER	WORK ACTION SET "Admin_Actions" DROP WORK ACTION "Map_Reads";

DROP	WORK ACTION SET "Admin_Actions";


---------------------------------------------------------------
-- drop work class sets
---------------------------------------------------------------

ALTER 	WORK CLASS SET "DML_Usage" DROP WORK CLASS "Read_Work";
ALTER 	WORK CLASS SET "DML_Usage" DROP WORK CLASS "Write_Work";

DROP	WORK CLASS SET "DML_Usage";


---------------------------------------------------------------
-- disable workloads and service classes 
---------------------------------------------------------------

ALTER 	WORKLOAD "CLP_Workload_Admin" DISABLE;
ALTER 	WORKLOAD "CLP_Workload_User1" DISABLE;
ALTER 	WORKLOAD "IPADDR" 	      DISABLE;

ALTER 	SERVICE CLASS "CLP_Serv_Admin_HI"  UNDER "CLP_Serv_Admin" DISABLE;
ALTER 	SERVICE CLASS "CLP_Serv_Admin_MED" UNDER "CLP_Serv_Admin" DISABLE;
ALTER 	SERVICE CLASS "CLP_Serv_Admin" DISABLE;
ALTER 	SERVICE CLASS "CLP_Serv_User"  DISABLE;


---------------------------------------------------------------
-- drop workload thresholds
---------------------------------------------------------------

DROP	THRESHOLD "MAX_Activities";
DROP	THRESHOLD "Report_Long_Queries";
DROP    THRESHOLD "Report_CPU_Hogs"; 

---------------------------------------------------------------
-- drop workloads
---------------------------------------------------------------

DROP	WORKLOAD "CLP_Workload_Admin" ;
DROP 	WORKLOAD "CLP_Workload_User1" ;
DROP	WORKLOAD "IPADDR" ;


---------------------------------------------------------------
-- drop service classes 
---------------------------------------------------------------

DROP	SERVICE CLASS "CLP_Serv_Admin_HI"  UNDER "CLP_Serv_Admin" ;
DROP	SERVICE CLASS "CLP_Serv_Admin_MED" UNDER "CLP_Serv_Admin" ;
DROP 	SERVICE CLASS "CLP_Serv_Admin" ;
DROP 	SERVICE CLASS "CLP_Serv_User" ;


---------------------------------------------------------------
-- end of WLM CLEANUP script
---------------------------------------------------------------

