::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Vikram Khatri (vikram.khatri@us.ibm.com)
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ----------------------------------------------------------------------
REM Extra Lab 16 - Compression - This is the set up script                             
REM ----------------------------------------------------------------------

TITLE Extra01.CMD - Compression Set up

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Executed by: %USERNAME%  %DATE% Machine: %COMPUTERNAME% ON %OS%
ECHO Executed by: %USERNAME%  %DATE% Machine: %COMPUTERNAME% ON %OS% >> %OUTFILE%
ECHO ---------------------------------------------------------------------
ECHO.

@echo.
@echo * =============================================================== *
@echo * STEP #1 - Create Explain Tables... 
@echo * =============================================================== *
@echo.

set db2instance=db2
db2 terminate
db2 connect to sample

db2 -tf "%DB2PATH%\MISC\EXPLAIN.DDL" -z %OUTFILE%
db2 connect reset


@echo.
@echo * =============================================================== *
@echo * STEP #2 - Create table COMP1.ORDERS 
@echo * =============================================================== *
@echo.

db2 connect to sample
db2 -tvf Extra02.DDL >> %OUTFILE%


@echo.
@echo * =============================================================== *
@echo * STEP #3 - Generate data for the COMP1.ORDERS table 
@echo * =============================================================== *
@echo.



DEL "Extra04.DAT" 	/q /f > NUL  2>&1
DEL "orders.tbl" 	/q /f > NUL  2>&1

dbgen -s 1 -T O

MOVE orders.tbl   Extra04.DAT


@echo.
@echo * =============================================================== *
@echo * STEP #4 - Load data in the COMP1.ORDERS table 
@echo * =============================================================== *
@echo.


db2 connect to sample
db2 -tvf Extra03.DDL >> %OUTFILE%

DB2 SELECT COUNT(*) FROM COMP1.ORDERS >> %OUTFILE%
DB2 SELECT COUNT(*) FROM COMP1.ORDERS

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Compression Lab first script sets us up with a large table 
ECHO called COMP1.ORDERS with 1,500,000 records.  Review it in the
ECHO Control Center now before continuing.
ECHO ---------------------------------------------------------------------
ECHO.

@echo on