::  DB2 9.7 Admin for Experienced DBAs
::  Copyright(r) IBM Corporation
::
::  Vikram Khatri (vikram.khatri@us.ibm.com)
::  Burt Vialpando (burt.vialpando@us.ibm.com)
::

REM ------------------------------------------------------------------- 
REM Extra Lab 16  - Compression - PARTIAL REORG OF DATA
REM                 Then LOAD the rest of the data                            
REM ------------------------------------------------------------------- 

TITLE Extra07.CMD - COMPRESSION BY PARTIAL REORG

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls

ECHO.
ECHO --------------------------------------------------------------------------------
ECHO Executed by: %USERNAME%  %DATE% Machine: %COMPUTERNAME% ON %OS%
ECHO Executed by: %USERNAME%  %DATE% Machine: %COMPUTERNAME% ON %OS% 		>> %OUTFILE%
ECHO --------------------------------------------------------------------------------
ECHO.

ECHO. 										>> %OUTFILE%
ECHO --------------------------------------------------------------------- 	>> %OUTFILE%
ECHO Build table with compression on			                   	>> %OUTFILE%
ECHO Build table with compression on
ECHO --------------------------------------------------------------------- 	>> %OUTFILE%
ECHO. 										>> %OUTFILE%

@echo.
@echo * =============================================================== *
@echo * STEP #1 - Create table COMP2.ORDERS 
@echo * =============================================================== *
@echo.

db2 connect to sample
db2 -tvf Extra08.DDL 								>> %OUTFILE%

@echo.
@echo * =============================================================== *
@echo * STEP #2 - Split the data file into 150,000 records in the
@echo *           first file and the rest in the second file.
@echo * =============================================================== *
@echo.

MOVE Extra04.DAT orders.tbl   

split orders.tbl   150000

MOVE orders01.tbl   Extra09.DAT
MOVE orders02.tbl   Extra10.DAT


@echo.
@echo * =============================================================== *
@echo * STEP #3 - Load first data sample file in the COMP2.ORDERS table 
@echo * =============================================================== *
@echo.

db2 connect to sample
db2 -tvf Extra11.DDL 							>> %OUTFILE%


@echo.
@echo * =============================================================== *
@echo * STEP #4 - REORG the sample data to build a compression dictionary
@echo * =============================================================== *
@echo.

DB2 REORG TABLE COMP2.ORDERS ALLOW READ ACCESS RESETDICTIONARY


@echo.
@echo * =============================================================== *
@echo * STEP #5 - Load the rest of the data into the COMP2.ORDERS table 
@echo * =============================================================== *
@echo.

db2 connect to sample
db2 -tvf Extra12.DDL 							>> %OUTFILE%
db2 terminate

DB2 CONNECT TO SAMPLE
DB2 RUNSTATS ON TABLE COMP2.ORDERS ON ALL COLUMNS WITH DISTRIBUTION ON ALL COLUMNS ALLOW WRITE ACCESS
DB2 COMMIT WORK

DB2 -tvf Extra16.SQL 							>> %OUTFILE%

ECHO.
ECHO ---------------------------------------------------------------------
ECHO Please review the OUTPUT FILE '%OUTFILE%'.
ECHO ---------------------------------------------------------------------
ECHO.


@echo on